# Copyright 2020-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=7
inherit go-module systemd tmpfiles

# These settings are obtained by running ./build_dist.sh shellvars` in
# the upstream repo and substituting ${PV} appropriately.
VERSION_SHORT="${PV}"
VERSION_LONG="${PV}-tae33622c7"
VERSION_GIT_HASH="ae33622c7129d1adf779fc36735de0310b058d68"

DESCRIPTION="Tailscale vpn client"
HOMEPAGE="https://tailscale.com"

EGO_SUM=(
	"4d63.com/gochecknoglobals v0.0.0-20201008074935-acfc0b28355a/go.mod"
	"4d63.com/gochecknoglobals v0.1.0"
	"4d63.com/gochecknoglobals v0.1.0/go.mod"
	"bitbucket.org/creachadair/shell v0.0.6/go.mod"
	"cloud.google.com/go v0.26.0/go.mod"
	"cloud.google.com/go v0.34.0/go.mod"
	"cloud.google.com/go v0.38.0/go.mod"
	"cloud.google.com/go v0.44.1/go.mod"
	"cloud.google.com/go v0.44.2/go.mod"
	"cloud.google.com/go v0.45.1/go.mod"
	"cloud.google.com/go v0.46.3/go.mod"
	"cloud.google.com/go v0.50.0/go.mod"
	"cloud.google.com/go v0.52.0/go.mod"
	"cloud.google.com/go v0.53.0/go.mod"
	"cloud.google.com/go v0.54.0/go.mod"
	"cloud.google.com/go v0.56.0/go.mod"
	"cloud.google.com/go v0.57.0/go.mod"
	"cloud.google.com/go v0.60.0/go.mod"
	"cloud.google.com/go v0.62.0/go.mod"
	"cloud.google.com/go v0.65.0/go.mod"
	"cloud.google.com/go v0.72.0/go.mod"
	"cloud.google.com/go v0.74.0/go.mod"
	"cloud.google.com/go v0.78.0/go.mod"
	"cloud.google.com/go v0.79.0/go.mod"
	"cloud.google.com/go v0.81.0/go.mod"
	"cloud.google.com/go v0.83.0/go.mod"
	"cloud.google.com/go v0.84.0/go.mod"
	"cloud.google.com/go v0.87.0/go.mod"
	"cloud.google.com/go v0.90.0/go.mod"
	"cloud.google.com/go v0.93.3/go.mod"
	"cloud.google.com/go/bigquery v1.0.1/go.mod"
	"cloud.google.com/go/bigquery v1.3.0/go.mod"
	"cloud.google.com/go/bigquery v1.4.0/go.mod"
	"cloud.google.com/go/bigquery v1.5.0/go.mod"
	"cloud.google.com/go/bigquery v1.7.0/go.mod"
	"cloud.google.com/go/bigquery v1.8.0/go.mod"
	"cloud.google.com/go/datastore v1.0.0/go.mod"
	"cloud.google.com/go/datastore v1.1.0/go.mod"
	"cloud.google.com/go/firestore v1.1.0/go.mod"
	"cloud.google.com/go/firestore v1.6.0/go.mod"
	"cloud.google.com/go/pubsub v1.0.1/go.mod"
	"cloud.google.com/go/pubsub v1.1.0/go.mod"
	"cloud.google.com/go/pubsub v1.2.0/go.mod"
	"cloud.google.com/go/pubsub v1.3.1/go.mod"
	"cloud.google.com/go/pubsub v1.5.0/go.mod"
	"cloud.google.com/go/spanner v1.7.0/go.mod"
	"cloud.google.com/go/storage v1.0.0/go.mod"
	"cloud.google.com/go/storage v1.5.0/go.mod"
	"cloud.google.com/go/storage v1.6.0/go.mod"
	"cloud.google.com/go/storage v1.8.0/go.mod"
	"cloud.google.com/go/storage v1.10.0/go.mod"
	"contrib.go.opencensus.io/exporter/stackdriver v0.13.4/go.mod"
	"dmitri.shuralyov.com/gpu/mtl v0.0.0-20190408044501-666a987793e9/go.mod"
	"filippo.io/mkcert v1.4.3"
	"filippo.io/mkcert v1.4.3/go.mod"
	"github.com/Antonboom/errname v0.1.5"
	"github.com/Antonboom/errname v0.1.5/go.mod"
	"github.com/Antonboom/nilnil v0.1.0"
	"github.com/Antonboom/nilnil v0.1.0/go.mod"
	"github.com/BurntSushi/toml v0.3.1/go.mod"
	"github.com/BurntSushi/toml v0.4.1"
	"github.com/BurntSushi/toml v0.4.1/go.mod"
	"github.com/BurntSushi/xgb v0.0.0-20160522181843-27f122750802/go.mod"
	"github.com/Djarvur/go-err113 v0.0.0-20200511133814-5174e21577d5/go.mod"
	"github.com/Djarvur/go-err113 v0.0.0-20210108212216-aea10b59be24/go.mod"
	"github.com/Djarvur/go-err113 v0.1.0"
	"github.com/Djarvur/go-err113 v0.1.0/go.mod"
	"github.com/Masterminds/goutils v1.1.0/go.mod"
	"github.com/Masterminds/goutils v1.1.1"
	"github.com/Masterminds/goutils v1.1.1/go.mod"
	"github.com/Masterminds/semver v1.4.2/go.mod"
	"github.com/Masterminds/semver v1.5.0"
	"github.com/Masterminds/semver v1.5.0/go.mod"
	"github.com/Masterminds/semver/v3 v3.1.0/go.mod"
	"github.com/Masterminds/semver/v3 v3.1.1"
	"github.com/Masterminds/semver/v3 v3.1.1/go.mod"
	"github.com/Masterminds/sprig v2.15.0+incompatible/go.mod"
	"github.com/Masterminds/sprig v2.22.0+incompatible"
	"github.com/Masterminds/sprig v2.22.0+incompatible/go.mod"
	"github.com/Microsoft/go-winio v0.4.14/go.mod"
	"github.com/Microsoft/go-winio v0.4.15/go.mod"
	"github.com/Microsoft/go-winio v0.4.16/go.mod"
	"github.com/Microsoft/go-winio v0.5.0/go.mod"
	"github.com/Microsoft/go-winio v0.5.1"
	"github.com/Microsoft/go-winio v0.5.1/go.mod"
	"github.com/OneOfOne/xxhash v1.2.2/go.mod"
	"github.com/OpenPeeDeeP/depguard v1.0.1"
	"github.com/OpenPeeDeeP/depguard v1.0.1/go.mod"
	"github.com/ProtonMail/go-crypto v0.0.0-20210428141323-04723f9f07d7/go.mod"
	"github.com/ProtonMail/go-crypto v0.0.0-20211112122917-428f8eabeeb3"
	"github.com/ProtonMail/go-crypto v0.0.0-20211112122917-428f8eabeeb3/go.mod"
	"github.com/StackExchange/wmi v0.0.0-20180116203802-5d049714c4a6/go.mod"
	"github.com/StackExchange/wmi v1.2.1/go.mod"
	"github.com/acomagu/bufpipe v1.0.3"
	"github.com/acomagu/bufpipe v1.0.3/go.mod"
	"github.com/akutz/memconn v0.1.0"
	"github.com/akutz/memconn v0.1.0/go.mod"
	"github.com/alcortesm/tgz v0.0.0-20161220082320-9c5fe88206d7/go.mod"
	"github.com/alecthomas/kingpin v2.2.6+incompatible/go.mod"
	"github.com/alecthomas/template v0.0.0-20160405071501-a0175ee3bccc/go.mod"
	"github.com/alecthomas/template v0.0.0-20190718012654-fb15b899a751/go.mod"
	"github.com/alecthomas/units v0.0.0-20151022065526-2efee857e7cf/go.mod"
	"github.com/alecthomas/units v0.0.0-20190717042225-c3de453c63f4/go.mod"
	"github.com/alecthomas/units v0.0.0-20190924025748-f65c72e2690d/go.mod"
	"github.com/alexbrainman/sspi v0.0.0-20210105120005-909beea2cc74"
	"github.com/alexbrainman/sspi v0.0.0-20210105120005-909beea2cc74/go.mod"
	"github.com/alexkohler/prealloc v1.0.0"
	"github.com/alexkohler/prealloc v1.0.0/go.mod"
	"github.com/andybalholm/brotli v1.0.0/go.mod"
	"github.com/andybalholm/brotli v1.0.2/go.mod"
	"github.com/andybalholm/brotli v1.0.3/go.mod"
	"github.com/anmitsu/go-shlex v0.0.0-20161002113705-648efa622239/go.mod"
	"github.com/anmitsu/go-shlex v0.0.0-20200514113438-38f4b401e2be"
	"github.com/anmitsu/go-shlex v0.0.0-20200514113438-38f4b401e2be/go.mod"
	"github.com/antihax/optional v0.0.0-20180407024304-ca021399b1a6/go.mod"
	"github.com/antihax/optional v1.0.0/go.mod"
	"github.com/aokoli/goutils v1.0.1/go.mod"
	"github.com/armon/circbuf v0.0.0-20150827004946-bbbad097214e/go.mod"
	"github.com/armon/consul-api v0.0.0-20180202201655-eb2c6b5be1b6/go.mod"
	"github.com/armon/go-metrics v0.0.0-20180917152333-f0300d1749da/go.mod"
	"github.com/armon/go-radix v0.0.0-20180808171621-7fddfc383310/go.mod"
	"github.com/armon/go-radix v1.0.0/go.mod"
	"github.com/armon/go-socks5 v0.0.0-20160902184237-e75332964ef5"
	"github.com/armon/go-socks5 v0.0.0-20160902184237-e75332964ef5/go.mod"
	"github.com/ashanbrown/forbidigo v1.2.0"
	"github.com/ashanbrown/forbidigo v1.2.0/go.mod"
	"github.com/ashanbrown/makezero v0.0.0-20210520155254-b6261585ddde"
	"github.com/ashanbrown/makezero v0.0.0-20210520155254-b6261585ddde/go.mod"
	"github.com/aws/aws-sdk-go v1.23.20/go.mod"
	"github.com/aws/aws-sdk-go v1.25.37/go.mod"
	"github.com/aws/aws-sdk-go v1.36.30/go.mod"
	"github.com/aws/aws-sdk-go-v2 v1.11.2"
	"github.com/aws/aws-sdk-go-v2 v1.11.2/go.mod"
	"github.com/aws/aws-sdk-go-v2/aws/protocol/eventstream v1.0.0"
	"github.com/aws/aws-sdk-go-v2/aws/protocol/eventstream v1.0.0/go.mod"
	"github.com/aws/aws-sdk-go-v2/config v1.11.0"
	"github.com/aws/aws-sdk-go-v2/config v1.11.0/go.mod"
	"github.com/aws/aws-sdk-go-v2/credentials v1.6.4"
	"github.com/aws/aws-sdk-go-v2/credentials v1.6.4/go.mod"
	"github.com/aws/aws-sdk-go-v2/feature/ec2/imds v1.8.2"
	"github.com/aws/aws-sdk-go-v2/feature/ec2/imds v1.8.2/go.mod"
	"github.com/aws/aws-sdk-go-v2/feature/s3/manager v1.7.4"
	"github.com/aws/aws-sdk-go-v2/feature/s3/manager v1.7.4/go.mod"
	"github.com/aws/aws-sdk-go-v2/internal/configsources v1.1.2"
	"github.com/aws/aws-sdk-go-v2/internal/configsources v1.1.2/go.mod"
	"github.com/aws/aws-sdk-go-v2/internal/endpoints/v2 v2.0.2"
	"github.com/aws/aws-sdk-go-v2/internal/endpoints/v2 v2.0.2/go.mod"
	"github.com/aws/aws-sdk-go-v2/internal/ini v1.3.2"
	"github.com/aws/aws-sdk-go-v2/internal/ini v1.3.2/go.mod"
	"github.com/aws/aws-sdk-go-v2/service/internal/accept-encoding v1.5.0"
	"github.com/aws/aws-sdk-go-v2/service/internal/accept-encoding v1.5.0/go.mod"
	"github.com/aws/aws-sdk-go-v2/service/internal/presigned-url v1.5.2"
	"github.com/aws/aws-sdk-go-v2/service/internal/presigned-url v1.5.2/go.mod"
	"github.com/aws/aws-sdk-go-v2/service/internal/s3shared v1.9.2"
	"github.com/aws/aws-sdk-go-v2/service/internal/s3shared v1.9.2/go.mod"
	"github.com/aws/aws-sdk-go-v2/service/s3 v1.21.0"
	"github.com/aws/aws-sdk-go-v2/service/s3 v1.21.0/go.mod"
	"github.com/aws/aws-sdk-go-v2/service/ssm v1.17.1"
	"github.com/aws/aws-sdk-go-v2/service/ssm v1.17.1/go.mod"
	"github.com/aws/aws-sdk-go-v2/service/sso v1.6.2"
	"github.com/aws/aws-sdk-go-v2/service/sso v1.6.2/go.mod"
	"github.com/aws/aws-sdk-go-v2/service/sts v1.11.1"
	"github.com/aws/aws-sdk-go-v2/service/sts v1.11.1/go.mod"
	"github.com/aws/smithy-go v1.9.0"
	"github.com/aws/smithy-go v1.9.0/go.mod"
	"github.com/beorn7/perks v0.0.0-20180321164747-3a771d992973/go.mod"
	"github.com/beorn7/perks v1.0.0/go.mod"
	"github.com/beorn7/perks v1.0.1"
	"github.com/beorn7/perks v1.0.1/go.mod"
	"github.com/bgentry/speakeasy v0.1.0/go.mod"
	"github.com/bketelsen/crypt v0.0.3-0.20200106085610-5cbc8cc4026c/go.mod"
	"github.com/bketelsen/crypt v0.0.4/go.mod"
	"github.com/bkielbasa/cyclop v1.2.0"
	"github.com/bkielbasa/cyclop v1.2.0/go.mod"
	"github.com/blakesmith/ar v0.0.0-20190502131153-809d4375e1fb"
	"github.com/blakesmith/ar v0.0.0-20190502131153-809d4375e1fb/go.mod"
	"github.com/blizzy78/varnamelen v0.3.0/go.mod"
	"github.com/blizzy78/varnamelen v0.5.0"
	"github.com/blizzy78/varnamelen v0.5.0/go.mod"
	"github.com/bombsimon/wsl/v3 v3.1.0/go.mod"
	"github.com/bombsimon/wsl/v3 v3.3.0"
	"github.com/bombsimon/wsl/v3 v3.3.0/go.mod"
	"github.com/breml/bidichk v0.1.1/go.mod"
	"github.com/breml/bidichk v0.2.1"
	"github.com/breml/bidichk v0.2.1/go.mod"
	"github.com/butuzov/ireturn v0.1.1"
	"github.com/butuzov/ireturn v0.1.1/go.mod"
	"github.com/cavaliercoder/go-cpio v0.0.0-20180626203310-925f9528c45e"
	"github.com/cavaliercoder/go-cpio v0.0.0-20180626203310-925f9528c45e/go.mod"
	"github.com/census-instrumentation/opencensus-proto v0.2.1/go.mod"
	"github.com/cespare/xxhash v1.1.0"
	"github.com/cespare/xxhash v1.1.0/go.mod"
	"github.com/cespare/xxhash/v2 v2.1.1/go.mod"
	"github.com/cespare/xxhash/v2 v2.1.2"
	"github.com/cespare/xxhash/v2 v2.1.2/go.mod"
	"github.com/charithe/durationcheck v0.0.9"
	"github.com/charithe/durationcheck v0.0.9/go.mod"
	"github.com/chavacava/garif v0.0.0-20210405164556-e8a0a408d6af"
	"github.com/chavacava/garif v0.0.0-20210405164556-e8a0a408d6af/go.mod"
	"github.com/chzyer/logex v1.1.10/go.mod"
	"github.com/chzyer/readline v0.0.0-20180603132655-2972be24d48e/go.mod"
	"github.com/chzyer/test v0.0.0-20180213035817-a1ea475d72b1/go.mod"
	"github.com/cilium/ebpf v0.5.0/go.mod"
	"github.com/cilium/ebpf v0.7.0"
	"github.com/cilium/ebpf v0.7.0/go.mod"
	"github.com/client9/misspell v0.3.4/go.mod"
	"github.com/cncf/udpa/go v0.0.0-20191209042840-269d4d468f6f/go.mod"
	"github.com/cncf/udpa/go v0.0.0-20200629203442-efcf912fb354/go.mod"
	"github.com/cncf/udpa/go v0.0.0-20201120205902-5459f2c99403/go.mod"
	"github.com/cncf/xds/go v0.0.0-20210312221358-fbca930ec8ed/go.mod"
	"github.com/cockroachdb/datadriven v0.0.0-20190809214429-80d97fb3cbaa/go.mod"
	"github.com/coreos/bbolt v1.3.2/go.mod"
	"github.com/coreos/etcd v3.3.10+incompatible/go.mod"
	"github.com/coreos/etcd v3.3.13+incompatible/go.mod"
	"github.com/coreos/go-etcd v2.0.0+incompatible/go.mod"
	"github.com/coreos/go-iptables v0.6.0"
	"github.com/coreos/go-iptables v0.6.0/go.mod"
	"github.com/coreos/go-semver v0.2.0/go.mod"
	"github.com/coreos/go-semver v0.3.0/go.mod"
	"github.com/coreos/go-systemd v0.0.0-20180511133405-39ca1b05acc7/go.mod"
	"github.com/coreos/go-systemd v0.0.0-20190321100706-95778dfbb74e/go.mod"
	"github.com/coreos/go-systemd v0.0.0-20190620071333-e64a0ec8b42a/go.mod"
	"github.com/coreos/go-systemd/v22 v22.3.2/go.mod"
	"github.com/coreos/pkg v0.0.0-20160727233714-3ac0863d7acf/go.mod"
	"github.com/coreos/pkg v0.0.0-20180928190104-399ea9e2e55f/go.mod"
	"github.com/cpuguy83/go-md2man v1.0.10/go.mod"
	"github.com/cpuguy83/go-md2man/v2 v2.0.0-20190314233015-f79a8a8ca69d/go.mod"
	"github.com/cpuguy83/go-md2man/v2 v2.0.0/go.mod"
	"github.com/creack/pty v1.1.7/go.mod"
	"github.com/creack/pty v1.1.9/go.mod"
	"github.com/creack/pty v1.1.17"
	"github.com/creack/pty v1.1.17/go.mod"
	"github.com/daixiang0/gci v0.2.4/go.mod"
	"github.com/daixiang0/gci v0.2.7/go.mod"
	"github.com/daixiang0/gci v0.2.9"
	"github.com/daixiang0/gci v0.2.9/go.mod"
	"github.com/dave/jennifer v1.4.1"
	"github.com/dave/jennifer v1.4.1/go.mod"
	"github.com/davecgh/go-spew v0.0.0-20161028175848-04cdfd42973b/go.mod"
	"github.com/davecgh/go-spew v1.1.0/go.mod"
	"github.com/davecgh/go-spew v1.1.1"
	"github.com/davecgh/go-spew v1.1.1/go.mod"
	"github.com/denis-tingajkin/go-header v0.3.1/go.mod"
	"github.com/denis-tingajkin/go-header v0.4.2"
	"github.com/denis-tingajkin/go-header v0.4.2/go.mod"
	"github.com/dgrijalva/jwt-go v3.2.0+incompatible/go.mod"
	"github.com/dgryski/go-sip13 v0.0.0-20181026042036-e10d5fee7954/go.mod"
	"github.com/dustin/go-humanize v0.0.0-20171111073723-bb3d318650d4/go.mod"
	"github.com/dustin/go-humanize v1.0.0/go.mod"
	"github.com/dvyukov/go-fuzz v0.0.0-20210103155950-6a8e9d1f2415/go.mod"
	"github.com/emirpasic/gods v1.12.0"
	"github.com/emirpasic/gods v1.12.0/go.mod"
	"github.com/envoyproxy/go-control-plane v0.9.0/go.mod"
	"github.com/envoyproxy/go-control-plane v0.9.1-0.20191026205805-5f8ba28d4473/go.mod"
	"github.com/envoyproxy/go-control-plane v0.9.4/go.mod"
	"github.com/envoyproxy/go-control-plane v0.9.7/go.mod"
	"github.com/envoyproxy/go-control-plane v0.9.9-0.20201210154907-fd9021fe5dad/go.mod"
	"github.com/envoyproxy/go-control-plane v0.9.9-0.20210217033140-668b12f5399d/go.mod"
	"github.com/envoyproxy/go-control-plane v0.9.9-0.20210512163311-63b5d3c536b0/go.mod"
	"github.com/envoyproxy/protoc-gen-validate v0.0.14/go.mod"
	"github.com/envoyproxy/protoc-gen-validate v0.1.0/go.mod"
	"github.com/esimonov/ifshort v1.0.3"
	"github.com/esimonov/ifshort v1.0.3/go.mod"
	"github.com/ettle/strcase v0.1.1"
	"github.com/ettle/strcase v0.1.1/go.mod"
	"github.com/fanliao/go-promise v0.0.0-20141029170127-1890db352a72/go.mod"
	"github.com/fatih/color v1.7.0/go.mod"
	"github.com/fatih/color v1.9.0/go.mod"
	"github.com/fatih/color v1.10.0/go.mod"
	"github.com/fatih/color v1.13.0"
	"github.com/fatih/color v1.13.0/go.mod"
	"github.com/fatih/structtag v1.2.0"
	"github.com/fatih/structtag v1.2.0/go.mod"
	"github.com/flynn/go-shlex v0.0.0-20150515145356-3f9db97f8568/go.mod"
	"github.com/frankban/quicktest v1.11.3/go.mod"
	"github.com/frankban/quicktest v1.14.0"
	"github.com/frankban/quicktest v1.14.0/go.mod"
	"github.com/fsnotify/fsnotify v1.4.7/go.mod"
	"github.com/fsnotify/fsnotify v1.4.9/go.mod"
	"github.com/fsnotify/fsnotify v1.5.1"
	"github.com/fsnotify/fsnotify v1.5.1/go.mod"
	"github.com/fullstorydev/grpcurl v1.6.0/go.mod"
	"github.com/fzipp/gocyclo v0.3.1"
	"github.com/fzipp/gocyclo v0.3.1/go.mod"
	"github.com/ghodss/yaml v1.0.0/go.mod"
	"github.com/gin-contrib/sse v0.1.0"
	"github.com/gin-contrib/sse v0.1.0/go.mod"
	"github.com/gin-gonic/gin v1.6.3"
	"github.com/gin-gonic/gin v1.6.3/go.mod"
	"github.com/github/fakeca v0.1.0"
	"github.com/github/fakeca v0.1.0/go.mod"
	"github.com/gliderlabs/ssh v0.2.2/go.mod"
	"github.com/gliderlabs/ssh v0.3.3"
	"github.com/gliderlabs/ssh v0.3.3/go.mod"
	"github.com/go-critic/go-critic v0.5.2/go.mod"
	"github.com/go-critic/go-critic v0.6.1"
	"github.com/go-critic/go-critic v0.6.1/go.mod"
	"github.com/go-git/gcfg v1.5.0"
	"github.com/go-git/gcfg v1.5.0/go.mod"
	"github.com/go-git/go-billy/v5 v5.0.0/go.mod"
	"github.com/go-git/go-billy/v5 v5.2.0/go.mod"
	"github.com/go-git/go-billy/v5 v5.3.1"
	"github.com/go-git/go-billy/v5 v5.3.1/go.mod"
	"github.com/go-git/go-git-fixtures/v4 v4.0.2-0.20200613231340-f56387b50c12/go.mod"
	"github.com/go-git/go-git-fixtures/v4 v4.2.1"
	"github.com/go-git/go-git-fixtures/v4 v4.2.1/go.mod"
	"github.com/go-git/go-git/v5 v5.2.0/go.mod"
	"github.com/go-git/go-git/v5 v5.4.2"
	"github.com/go-git/go-git/v5 v5.4.2/go.mod"
	"github.com/go-gl/glfw v0.0.0-20190409004039-e6da0acd62b1/go.mod"
	"github.com/go-gl/glfw/v3.3/glfw v0.0.0-20191125211704-12ad95a8df72/go.mod"
	"github.com/go-gl/glfw/v3.3/glfw v0.0.0-20200222043503-6f7a984d4dc4/go.mod"
	"github.com/go-kit/kit v0.8.0/go.mod"
	"github.com/go-kit/kit v0.9.0/go.mod"
	"github.com/go-kit/log v0.1.0/go.mod"
	"github.com/go-logfmt/logfmt v0.3.0/go.mod"
	"github.com/go-logfmt/logfmt v0.4.0/go.mod"
	"github.com/go-logfmt/logfmt v0.5.0/go.mod"
	"github.com/go-ole/go-ole v1.2.1/go.mod"
	"github.com/go-ole/go-ole v1.2.5/go.mod"
	"github.com/go-ole/go-ole v1.2.6"
	"github.com/go-ole/go-ole v1.2.6/go.mod"
	"github.com/go-playground/assert/v2 v2.0.1/go.mod"
	"github.com/go-playground/locales v0.13.0"
	"github.com/go-playground/locales v0.13.0/go.mod"
	"github.com/go-playground/universal-translator v0.17.0"
	"github.com/go-playground/universal-translator v0.17.0/go.mod"
	"github.com/go-playground/validator/v10 v10.2.0"
	"github.com/go-playground/validator/v10 v10.2.0/go.mod"
	"github.com/go-redis/redis v6.15.8+incompatible/go.mod"
	"github.com/go-sql-driver/mysql v1.4.0/go.mod"
	"github.com/go-sql-driver/mysql v1.5.0/go.mod"
	"github.com/go-stack/stack v1.8.0/go.mod"
	"github.com/go-task/slim-sprig v0.0.0-20210107165309-348f09dbbbc0/go.mod"
	"github.com/go-toolsmith/astcast v1.0.0"
	"github.com/go-toolsmith/astcast v1.0.0/go.mod"
	"github.com/go-toolsmith/astcopy v1.0.0"
	"github.com/go-toolsmith/astcopy v1.0.0/go.mod"
	"github.com/go-toolsmith/astequal v1.0.0/go.mod"
	"github.com/go-toolsmith/astequal v1.0.1"
	"github.com/go-toolsmith/astequal v1.0.1/go.mod"
	"github.com/go-toolsmith/astfmt v1.0.0"
	"github.com/go-toolsmith/astfmt v1.0.0/go.mod"
	"github.com/go-toolsmith/astinfo v0.0.0-20180906194353-9809ff7efb21/go.mod"
	"github.com/go-toolsmith/astp v1.0.0"
	"github.com/go-toolsmith/astp v1.0.0/go.mod"
	"github.com/go-toolsmith/pkgload v1.0.0"
	"github.com/go-toolsmith/pkgload v1.0.0/go.mod"
	"github.com/go-toolsmith/strparse v1.0.0"
	"github.com/go-toolsmith/strparse v1.0.0/go.mod"
	"github.com/go-toolsmith/typep v1.0.0/go.mod"
	"github.com/go-toolsmith/typep v1.0.2"
	"github.com/go-toolsmith/typep v1.0.2/go.mod"
	"github.com/go-xmlfmt/xmlfmt v0.0.0-20191208150333-d5b6f63a941b/go.mod"
	"github.com/go-xmlfmt/xmlfmt v0.0.0-20211206191508-7fd73a941850"
	"github.com/go-xmlfmt/xmlfmt v0.0.0-20211206191508-7fd73a941850/go.mod"
	"github.com/gobwas/glob v0.2.3"
	"github.com/gobwas/glob v0.2.3/go.mod"
	"github.com/gobwas/httphead v0.0.0-20180130184737-2c6c146eadee"
	"github.com/gobwas/httphead v0.0.0-20180130184737-2c6c146eadee/go.mod"
	"github.com/gobwas/pool v0.2.0"
	"github.com/gobwas/pool v0.2.0/go.mod"
	"github.com/gobwas/ws v1.0.2"
	"github.com/gobwas/ws v1.0.2/go.mod"
	"github.com/godbus/dbus/v5 v5.0.4/go.mod"
	"github.com/godbus/dbus/v5 v5.0.6"
	"github.com/godbus/dbus/v5 v5.0.6/go.mod"
	"github.com/gofrs/flock v0.8.0/go.mod"
	"github.com/gofrs/flock v0.8.1"
	"github.com/gofrs/flock v0.8.1/go.mod"
	"github.com/gogo/protobuf v1.1.1/go.mod"
	"github.com/gogo/protobuf v1.2.1/go.mod"
	"github.com/gogo/protobuf v1.3.0/go.mod"
	"github.com/gogo/protobuf v1.3.1/go.mod"
	"github.com/gogo/protobuf v1.3.2/go.mod"
	"github.com/golang/glog v0.0.0-20160126235308-23def4e6c14b/go.mod"
	"github.com/golang/groupcache v0.0.0-20160516000752-02826c3e7903/go.mod"
	"github.com/golang/groupcache v0.0.0-20190129154638-5b532d6fd5ef/go.mod"
	"github.com/golang/groupcache v0.0.0-20190702054246-869f871628b6/go.mod"
	"github.com/golang/groupcache v0.0.0-20191227052852-215e87163ea7/go.mod"
	"github.com/golang/groupcache v0.0.0-20200121045136-8c9f03a8e57e/go.mod"
	"github.com/golang/groupcache v0.0.0-20210331224755-41bb18bfe9da"
	"github.com/golang/groupcache v0.0.0-20210331224755-41bb18bfe9da/go.mod"
	"github.com/golang/mock v1.1.1/go.mod"
	"github.com/golang/mock v1.2.0/go.mod"
	"github.com/golang/mock v1.3.1/go.mod"
	"github.com/golang/mock v1.4.0/go.mod"
	"github.com/golang/mock v1.4.1/go.mod"
	"github.com/golang/mock v1.4.3/go.mod"
	"github.com/golang/mock v1.4.4/go.mod"
	"github.com/golang/mock v1.5.0/go.mod"
	"github.com/golang/mock v1.6.0/go.mod"
	"github.com/golang/protobuf v1.1.0/go.mod"
	"github.com/golang/protobuf v1.2.0/go.mod"
	"github.com/golang/protobuf v1.3.1/go.mod"
	"github.com/golang/protobuf v1.3.2/go.mod"
	"github.com/golang/protobuf v1.3.3/go.mod"
	"github.com/golang/protobuf v1.3.4/go.mod"
	"github.com/golang/protobuf v1.3.5/go.mod"
	"github.com/golang/protobuf v1.4.0-rc.1/go.mod"
	"github.com/golang/protobuf v1.4.0-rc.1.0.20200221234624-67d41d38c208/go.mod"
	"github.com/golang/protobuf v1.4.0-rc.2/go.mod"
	"github.com/golang/protobuf v1.4.0-rc.4.0.20200313231945-b860323f09d0/go.mod"
	"github.com/golang/protobuf v1.4.0/go.mod"
	"github.com/golang/protobuf v1.4.1/go.mod"
	"github.com/golang/protobuf v1.4.2/go.mod"
	"github.com/golang/protobuf v1.4.3/go.mod"
	"github.com/golang/protobuf v1.5.0/go.mod"
	"github.com/golang/protobuf v1.5.1/go.mod"
	"github.com/golang/protobuf v1.5.2"
	"github.com/golang/protobuf v1.5.2/go.mod"
	"github.com/golang/snappy v0.0.3/go.mod"
	"github.com/golangci/check v0.0.0-20180506172741-cfe4005ccda2"
	"github.com/golangci/check v0.0.0-20180506172741-cfe4005ccda2/go.mod"
	"github.com/golangci/dupl v0.0.0-20180902072040-3e9179ac440a"
	"github.com/golangci/dupl v0.0.0-20180902072040-3e9179ac440a/go.mod"
	"github.com/golangci/errcheck v0.0.0-20181223084120-ef45e06d44b6/go.mod"
	"github.com/golangci/go-misc v0.0.0-20180628070357-927a3d87b613"
	"github.com/golangci/go-misc v0.0.0-20180628070357-927a3d87b613/go.mod"
	"github.com/golangci/gocyclo v0.0.0-20180528144436-0a533e8fa43d/go.mod"
	"github.com/golangci/gofmt v0.0.0-20190930125516-244bba706f1a"
	"github.com/golangci/gofmt v0.0.0-20190930125516-244bba706f1a/go.mod"
	"github.com/golangci/golangci-lint v1.33.0/go.mod"
	"github.com/golangci/golangci-lint v1.43.0"
	"github.com/golangci/golangci-lint v1.43.0/go.mod"
	"github.com/golangci/ineffassign v0.0.0-20190609212857-42439a7714cc/go.mod"
	"github.com/golangci/lint-1 v0.0.0-20191013205115-297bf364a8e0"
	"github.com/golangci/lint-1 v0.0.0-20191013205115-297bf364a8e0/go.mod"
	"github.com/golangci/maligned v0.0.0-20180506175553-b1d89398deca"
	"github.com/golangci/maligned v0.0.0-20180506175553-b1d89398deca/go.mod"
	"github.com/golangci/misspell v0.0.0-20180809174111-950f5d19e770/go.mod"
	"github.com/golangci/misspell v0.3.5"
	"github.com/golangci/misspell v0.3.5/go.mod"
	"github.com/golangci/prealloc v0.0.0-20180630174525-215b22d4de21/go.mod"
	"github.com/golangci/revgrep v0.0.0-20180526074752-d9c87f5ffaf0/go.mod"
	"github.com/golangci/revgrep v0.0.0-20180812185044-276a5c0a1039/go.mod"
	"github.com/golangci/revgrep v0.0.0-20210930125155-c22e5001d4f2"
	"github.com/golangci/revgrep v0.0.0-20210930125155-c22e5001d4f2/go.mod"
	"github.com/golangci/unconvert v0.0.0-20180507085042-28b1c447d1f4"
	"github.com/golangci/unconvert v0.0.0-20180507085042-28b1c447d1f4/go.mod"
	"github.com/google/btree v0.0.0-20180813153112-4030bb1f1f0c/go.mod"
	"github.com/google/btree v1.0.0/go.mod"
	"github.com/google/btree v1.0.1"
	"github.com/google/btree v1.0.1/go.mod"
	"github.com/google/certificate-transparency-go v1.0.21/go.mod"
	"github.com/google/certificate-transparency-go v1.1.1/go.mod"
	"github.com/google/go-cmp v0.2.0/go.mod"
	"github.com/google/go-cmp v0.3.0/go.mod"
	"github.com/google/go-cmp v0.3.1/go.mod"
	"github.com/google/go-cmp v0.4.0/go.mod"
	"github.com/google/go-cmp v0.4.1/go.mod"
	"github.com/google/go-cmp v0.5.0/go.mod"
	"github.com/google/go-cmp v0.5.1/go.mod"
	"github.com/google/go-cmp v0.5.2/go.mod"
	"github.com/google/go-cmp v0.5.3/go.mod"
	"github.com/google/go-cmp v0.5.4/go.mod"
	"github.com/google/go-cmp v0.5.5/go.mod"
	"github.com/google/go-cmp v0.5.6"
	"github.com/google/go-cmp v0.5.6/go.mod"
	"github.com/google/gofuzz v1.0.0/go.mod"
	"github.com/google/goterm v0.0.0-20190703233501-fc88cf888a3f/go.mod"
	"github.com/google/goterm v0.0.0-20200907032337-555d40f16ae2"
	"github.com/google/goterm v0.0.0-20200907032337-555d40f16ae2/go.mod"
	"github.com/google/martian v2.1.0+incompatible/go.mod"
	"github.com/google/martian/v3 v3.0.0/go.mod"
	"github.com/google/martian/v3 v3.1.0/go.mod"
	"github.com/google/martian/v3 v3.2.1/go.mod"
	"github.com/google/pprof v0.0.0-20181206194817-3ea8567a2e57/go.mod"
	"github.com/google/pprof v0.0.0-20190515194954-54271f7e092f/go.mod"
	"github.com/google/pprof v0.0.0-20191218002539-d4f498aebedc/go.mod"
	"github.com/google/pprof v0.0.0-20200212024743-f11f1df84d12/go.mod"
	"github.com/google/pprof v0.0.0-20200229191704-1ebb73c60ed3/go.mod"
	"github.com/google/pprof v0.0.0-20200430221834-fc25d7d30c6d/go.mod"
	"github.com/google/pprof v0.0.0-20200507031123-427632fa3b1c/go.mod"
	"github.com/google/pprof v0.0.0-20200708004538-1a94d8640e99/go.mod"
	"github.com/google/pprof v0.0.0-20201023163331-3e6fc7fc9c4c/go.mod"
	"github.com/google/pprof v0.0.0-20201203190320-1bf35d6f28c2/go.mod"
	"github.com/google/pprof v0.0.0-20210122040257-d980be63207e/go.mod"
	"github.com/google/pprof v0.0.0-20210226084205-cbba55b83ad5/go.mod"
	"github.com/google/pprof v0.0.0-20210601050228-01bbb1931b22/go.mod"
	"github.com/google/pprof v0.0.0-20210609004039-a478d1d731e9/go.mod"
	"github.com/google/pprof v0.0.0-20210720184732-4bb14d4b1be1/go.mod"
	"github.com/google/renameio v0.1.0/go.mod"
	"github.com/google/rpmpack v0.0.0-20201206194719-59e495f2b7e1"
	"github.com/google/rpmpack v0.0.0-20201206194719-59e495f2b7e1/go.mod"
	"github.com/google/trillian v1.3.11/go.mod"
	"github.com/google/uuid v0.0.0-20161128191214-064e2069ce9c/go.mod"
	"github.com/google/uuid v1.0.0/go.mod"
	"github.com/google/uuid v1.1.1/go.mod"
	"github.com/google/uuid v1.1.2/go.mod"
	"github.com/google/uuid v1.3.0"
	"github.com/google/uuid v1.3.0/go.mod"
	"github.com/googleapis/gax-go/v2 v2.0.4/go.mod"
	"github.com/googleapis/gax-go/v2 v2.0.5/go.mod"
	"github.com/googleapis/gax-go/v2 v2.1.0/go.mod"
	"github.com/gookit/color v1.3.1/go.mod"
	"github.com/gookit/color v1.4.2/go.mod"
	"github.com/gookit/color v1.5.0/go.mod"
	"github.com/gopherjs/gopherjs v0.0.0-20181017120253-0766667cb4d1/go.mod"
	"github.com/gordonklaus/ineffassign v0.0.0-20200309095847-7953dde2c7bf/go.mod"
	"github.com/gordonklaus/ineffassign v0.0.0-20210225214923-2e10b2664254/go.mod"
	"github.com/gordonklaus/ineffassign v0.0.0-20210914165742-4cc7213b9bc8"
	"github.com/gordonklaus/ineffassign v0.0.0-20210914165742-4cc7213b9bc8/go.mod"
	"github.com/goreleaser/chglog v0.1.2"
	"github.com/goreleaser/chglog v0.1.2/go.mod"
	"github.com/goreleaser/fileglob v0.3.1"
	"github.com/goreleaser/fileglob v0.3.1/go.mod"
	"github.com/goreleaser/nfpm v1.10.3"
	"github.com/goreleaser/nfpm v1.10.3/go.mod"
	"github.com/gorhill/cronexpr v0.0.0-20180427100037-88b0669f7d75/go.mod"
	"github.com/gorilla/mux v1.8.0/go.mod"
	"github.com/gorilla/websocket v0.0.0-20170926233335-4201258b820c/go.mod"
	"github.com/gorilla/websocket v1.4.1/go.mod"
	"github.com/gorilla/websocket v1.4.2"
	"github.com/gorilla/websocket v1.4.2/go.mod"
	"github.com/gostaticanalysis/analysisutil v0.0.0-20190318220348-4088753ea4d3/go.mod"
	"github.com/gostaticanalysis/analysisutil v0.0.3/go.mod"
	"github.com/gostaticanalysis/analysisutil v0.1.0/go.mod"
	"github.com/gostaticanalysis/analysisutil v0.4.1/go.mod"
	"github.com/gostaticanalysis/analysisutil v0.6.1/go.mod"
	"github.com/gostaticanalysis/analysisutil v0.7.1"
	"github.com/gostaticanalysis/analysisutil v0.7.1/go.mod"
	"github.com/gostaticanalysis/comment v1.3.0/go.mod"
	"github.com/gostaticanalysis/comment v1.4.1/go.mod"
	"github.com/gostaticanalysis/comment v1.4.2"
	"github.com/gostaticanalysis/comment v1.4.2/go.mod"
	"github.com/gostaticanalysis/forcetypeassert v0.0.0-20200621232751-01d4955beaa5/go.mod"
	"github.com/gostaticanalysis/forcetypeassert v0.1.0"
	"github.com/gostaticanalysis/forcetypeassert v0.1.0/go.mod"
	"github.com/gostaticanalysis/nilerr v0.1.1"
	"github.com/gostaticanalysis/nilerr v0.1.1/go.mod"
	"github.com/gostaticanalysis/testutil v0.3.1-0.20210208050101-bfb5c8eec0e4/go.mod"
	"github.com/gostaticanalysis/testutil v0.4.0"
	"github.com/gostaticanalysis/testutil v0.4.0/go.mod"
	"github.com/gregjones/httpcache v0.0.0-20190611155906-901d90724c79/go.mod"
	"github.com/grpc-ecosystem/go-grpc-middleware v1.0.0/go.mod"
	"github.com/grpc-ecosystem/go-grpc-middleware v1.0.1-0.20190118093823-f849b5445de4/go.mod"
	"github.com/grpc-ecosystem/go-grpc-middleware v1.2.2/go.mod"
	"github.com/grpc-ecosystem/go-grpc-prometheus v1.2.0/go.mod"
	"github.com/grpc-ecosystem/grpc-gateway v1.9.0/go.mod"
	"github.com/grpc-ecosystem/grpc-gateway v1.9.5/go.mod"
	"github.com/grpc-ecosystem/grpc-gateway v1.12.1/go.mod"
	"github.com/grpc-ecosystem/grpc-gateway v1.16.0/go.mod"
	"github.com/hashicorp/consul/api v1.1.0/go.mod"
	"github.com/hashicorp/consul/api v1.10.1/go.mod"
	"github.com/hashicorp/consul/sdk v0.1.1/go.mod"
	"github.com/hashicorp/consul/sdk v0.8.0/go.mod"
	"github.com/hashicorp/errwrap v1.0.0/go.mod"
	"github.com/hashicorp/errwrap v1.1.0"
	"github.com/hashicorp/errwrap v1.1.0/go.mod"
	"github.com/hashicorp/go-cleanhttp v0.5.1/go.mod"
	"github.com/hashicorp/go-hclog v0.12.0/go.mod"
	"github.com/hashicorp/go-immutable-radix v1.0.0/go.mod"
	"github.com/hashicorp/go-msgpack v0.5.3/go.mod"
	"github.com/hashicorp/go-multierror v1.0.0/go.mod"
	"github.com/hashicorp/go-multierror v1.1.0/go.mod"
	"github.com/hashicorp/go-multierror v1.1.1"
	"github.com/hashicorp/go-multierror v1.1.1/go.mod"
	"github.com/hashicorp/go-rootcerts v1.0.0/go.mod"
	"github.com/hashicorp/go-rootcerts v1.0.2/go.mod"
	"github.com/hashicorp/go-sockaddr v1.0.0/go.mod"
	"github.com/hashicorp/go-syslog v1.0.0/go.mod"
	"github.com/hashicorp/go-uuid v1.0.0/go.mod"
	"github.com/hashicorp/go-uuid v1.0.1/go.mod"
	"github.com/hashicorp/go-version v1.2.1"
	"github.com/hashicorp/go-version v1.2.1/go.mod"
	"github.com/hashicorp/go.net v0.0.1/go.mod"
	"github.com/hashicorp/golang-lru v0.5.0/go.mod"
	"github.com/hashicorp/golang-lru v0.5.1/go.mod"
	"github.com/hashicorp/golang-lru v0.5.4/go.mod"
	"github.com/hashicorp/hcl v1.0.0"
	"github.com/hashicorp/hcl v1.0.0/go.mod"
	"github.com/hashicorp/logutils v1.0.0/go.mod"
	"github.com/hashicorp/mdns v1.0.0/go.mod"
	"github.com/hashicorp/mdns v1.0.1/go.mod"
	"github.com/hashicorp/memberlist v0.1.3/go.mod"
	"github.com/hashicorp/memberlist v0.2.2/go.mod"
	"github.com/hashicorp/serf v0.8.2/go.mod"
	"github.com/hashicorp/serf v0.9.5/go.mod"
	"github.com/hpcloud/tail v1.0.0/go.mod"
	"github.com/huandu/xstrings v1.0.0/go.mod"
	"github.com/huandu/xstrings v1.2.0/go.mod"
	"github.com/huandu/xstrings v1.3.2"
	"github.com/huandu/xstrings v1.3.2/go.mod"
	"github.com/hugelgupf/socketpair v0.0.0-20190730060125-05d35a94e714/go.mod"
	"github.com/iancoleman/strcase v0.2.0"
	"github.com/iancoleman/strcase v0.2.0/go.mod"
	"github.com/ianlancetaylor/demangle v0.0.0-20181102032728-5e5cf60278f6/go.mod"
	"github.com/ianlancetaylor/demangle v0.0.0-20200824232613-28f6c0f3b639/go.mod"
	"github.com/imdario/mergo v0.3.4/go.mod"
	"github.com/imdario/mergo v0.3.8/go.mod"
	"github.com/imdario/mergo v0.3.9/go.mod"
	"github.com/imdario/mergo v0.3.11/go.mod"
	"github.com/imdario/mergo v0.3.12"
	"github.com/imdario/mergo v0.3.12/go.mod"
	"github.com/inconshreveable/mousetrap v1.0.0"
	"github.com/inconshreveable/mousetrap v1.0.0/go.mod"
	"github.com/insomniacslk/dhcp v0.0.0-20211026125128-ad197bcd36fd"
	"github.com/insomniacslk/dhcp v0.0.0-20211026125128-ad197bcd36fd/go.mod"
	"github.com/jbenet/go-context v0.0.0-20150711004518-d14ea06fba99"
	"github.com/jbenet/go-context v0.0.0-20150711004518-d14ea06fba99/go.mod"
	"github.com/jessevdk/go-flags v1.4.0/go.mod"
	"github.com/jessevdk/go-flags v1.5.0/go.mod"
	"github.com/jgautheron/goconst v0.0.0-20201117150253-ccae5bf973f3/go.mod"
	"github.com/jgautheron/goconst v1.5.1"
	"github.com/jgautheron/goconst v1.5.1/go.mod"
	"github.com/jhump/protoreflect v1.6.1/go.mod"
	"github.com/jingyugao/rowserrcheck v0.0.0-20191204022205-72ab7603b68a/go.mod"
	"github.com/jingyugao/rowserrcheck v1.1.1"
	"github.com/jingyugao/rowserrcheck v1.1.1/go.mod"
	"github.com/jirfag/go-printf-func-name v0.0.0-20191110105641-45db9963cdd3/go.mod"
	"github.com/jirfag/go-printf-func-name v0.0.0-20200119135958-7558a9eaa5af"
	"github.com/jirfag/go-printf-func-name v0.0.0-20200119135958-7558a9eaa5af/go.mod"
	"github.com/jmespath/go-jmespath v0.0.0-20180206201540-c2b33e8439af/go.mod"
	"github.com/jmespath/go-jmespath v0.4.0"
	"github.com/jmespath/go-jmespath v0.4.0/go.mod"
	"github.com/jmespath/go-jmespath/internal/testify v1.5.1"
	"github.com/jmespath/go-jmespath/internal/testify v1.5.1/go.mod"
	"github.com/jmoiron/sqlx v1.2.0/go.mod"
	"github.com/jmoiron/sqlx v1.2.1-0.20190826204134-d7d95172beb5/go.mod"
	"github.com/jonboulle/clockwork v0.1.0/go.mod"
	"github.com/jonboulle/clockwork v0.2.0/go.mod"
	"github.com/josharian/native v0.0.0-20200817173448-b6b71def0850"
	"github.com/josharian/native v0.0.0-20200817173448-b6b71def0850/go.mod"
	"github.com/josharian/txtarfs v0.0.0-20210218200122-0702f000015a/go.mod"
	"github.com/jpillora/backoff v1.0.0/go.mod"
	"github.com/jsimonetti/rtnetlink v0.0.0-20190606172950-9527aa82566a/go.mod"
	"github.com/jsimonetti/rtnetlink v0.0.0-20200117123717-f846d4f6c1f4/go.mod"
	"github.com/jsimonetti/rtnetlink v0.0.0-20201009170750-9c6f07d100c1/go.mod"
	"github.com/jsimonetti/rtnetlink v0.0.0-20201110080708-d2c240429e6c/go.mod"
	"github.com/jsimonetti/rtnetlink v0.0.0-20201216134343-bde56ed16391/go.mod"
	"github.com/jsimonetti/rtnetlink v0.0.0-20201220180245-69540ac93943/go.mod"
	"github.com/jsimonetti/rtnetlink v0.0.0-20210122163228-8d122574c736/go.mod"
	"github.com/jsimonetti/rtnetlink v0.0.0-20210212075122-66c871082f2b/go.mod"
	"github.com/jsimonetti/rtnetlink v0.0.0-20210525051524-4cc836578190/go.mod"
	"github.com/jsimonetti/rtnetlink v0.0.0-20211022192332-93da33804786/go.mod"
	"github.com/jsimonetti/rtnetlink v0.0.0-20211203074127-fd9a11f42291"
	"github.com/jsimonetti/rtnetlink v0.0.0-20211203074127-fd9a11f42291/go.mod"
	"github.com/json-iterator/go v1.1.6/go.mod"
	"github.com/json-iterator/go v1.1.7/go.mod"
	"github.com/json-iterator/go v1.1.9/go.mod"
	"github.com/json-iterator/go v1.1.10/go.mod"
	"github.com/json-iterator/go v1.1.11"
	"github.com/json-iterator/go v1.1.11/go.mod"
	"github.com/jstemmer/go-junit-report v0.0.0-20190106144839-af01ea7f8024/go.mod"
	"github.com/jstemmer/go-junit-report v0.9.1/go.mod"
	"github.com/jtolds/gls v4.20.0+incompatible/go.mod"
	"github.com/juju/ratelimit v1.0.1/go.mod"
	"github.com/julienschmidt/httprouter v1.2.0/go.mod"
	"github.com/julienschmidt/httprouter v1.3.0/go.mod"
	"github.com/julz/importas v0.0.0-20210419104244-841f0c0fe66d/go.mod"
	"github.com/julz/importas v0.0.0-20210922140945-27e0a5d4dee2"
	"github.com/julz/importas v0.0.0-20210922140945-27e0a5d4dee2/go.mod"
	"github.com/k0kubun/colorstring v0.0.0-20150214042306-9440f1994b88/go.mod"
	"github.com/kballard/go-shellquote v0.0.0-20180428030007-95032a82bc51"
	"github.com/kballard/go-shellquote v0.0.0-20180428030007-95032a82bc51/go.mod"
	"github.com/kevinburke/ssh_config v0.0.0-20190725054713-01f96b0aa0cd/go.mod"
	"github.com/kevinburke/ssh_config v0.0.0-20201106050909-4977a11b4351/go.mod"
	"github.com/kevinburke/ssh_config v1.1.0"
	"github.com/kevinburke/ssh_config v1.1.0/go.mod"
	"github.com/kisielk/errcheck v1.1.0/go.mod"
	"github.com/kisielk/errcheck v1.2.0/go.mod"
	"github.com/kisielk/errcheck v1.5.0/go.mod"
	"github.com/kisielk/errcheck v1.6.0"
	"github.com/kisielk/errcheck v1.6.0/go.mod"
	"github.com/kisielk/gotool v1.0.0"
	"github.com/kisielk/gotool v1.0.0/go.mod"
	"github.com/klauspost/compress v1.10.3/go.mod"
	"github.com/klauspost/compress v1.10.7/go.mod"
	"github.com/klauspost/compress v1.11.0/go.mod"
	"github.com/klauspost/compress v1.13.4/go.mod"
	"github.com/klauspost/compress v1.13.5/go.mod"
	"github.com/klauspost/compress v1.13.6"
	"github.com/klauspost/compress v1.13.6/go.mod"
	"github.com/konsorten/go-windows-terminal-sequences v1.0.1/go.mod"
	"github.com/konsorten/go-windows-terminal-sequences v1.0.2/go.mod"
	"github.com/konsorten/go-windows-terminal-sequences v1.0.3/go.mod"
	"github.com/kr/fs v0.1.0"
	"github.com/kr/fs v0.1.0/go.mod"
	"github.com/kr/logfmt v0.0.0-20140226030751-b84e30acd515/go.mod"
	"github.com/kr/pretty v0.1.0/go.mod"
	"github.com/kr/pretty v0.2.0/go.mod"
	"github.com/kr/pretty v0.2.1/go.mod"
	"github.com/kr/pretty v0.3.0"
	"github.com/kr/pretty v0.3.0/go.mod"
	"github.com/kr/pty v1.1.1/go.mod"
	"github.com/kr/text v0.1.0/go.mod"
	"github.com/kr/text v0.2.0"
	"github.com/kr/text v0.2.0/go.mod"
	"github.com/kulti/thelper v0.4.0"
	"github.com/kulti/thelper v0.4.0/go.mod"
	"github.com/kunwardeep/paralleltest v1.0.2/go.mod"
	"github.com/kunwardeep/paralleltest v1.0.3"
	"github.com/kunwardeep/paralleltest v1.0.3/go.mod"
	"github.com/kylelemons/godebug v1.1.0/go.mod"
	"github.com/kyoh86/exportloopref v0.1.8"
	"github.com/kyoh86/exportloopref v0.1.8/go.mod"
	"github.com/ldez/gomoddirectives v0.2.2"
	"github.com/ldez/gomoddirectives v0.2.2/go.mod"
	"github.com/ldez/tagliatelle v0.2.0"
	"github.com/ldez/tagliatelle v0.2.0/go.mod"
	"github.com/leodido/go-urn v1.2.0"
	"github.com/leodido/go-urn v1.2.0/go.mod"
	"github.com/letsencrypt/pkcs11key/v4 v4.0.0/go.mod"
	"github.com/lib/pq v1.0.0/go.mod"
	"github.com/lib/pq v1.8.0/go.mod"
	"github.com/lib/pq v1.9.0/go.mod"
	"github.com/lib/pq v1.10.3/go.mod"
	"github.com/lib/pq v1.10.4/go.mod"
	"github.com/logrusorgru/aurora v0.0.0-20181002194514-a7b3b318ed4e/go.mod"
	"github.com/lufia/plan9stats v0.0.0-20211012122336-39d0f177ccd0/go.mod"
	"github.com/lxn/walk v0.0.0-20210112085537-c389da54e794/go.mod"
	"github.com/lxn/win v0.0.0-20210218163916-a377121e959e/go.mod"
	"github.com/magiconair/properties v1.8.0/go.mod"
	"github.com/magiconair/properties v1.8.1/go.mod"
	"github.com/magiconair/properties v1.8.4/go.mod"
	"github.com/magiconair/properties v1.8.5"
	"github.com/magiconair/properties v1.8.5/go.mod"
	"github.com/maratori/testpackage v1.0.1"
	"github.com/maratori/testpackage v1.0.1/go.mod"
	"github.com/matoous/godox v0.0.0-20190911065817-5d6d842e92eb/go.mod"
	"github.com/matoous/godox v0.0.0-20200801072554-4fb83dc2941e/go.mod"
	"github.com/matoous/godox v0.0.0-20210227103229-6504466cf951"
	"github.com/matoous/godox v0.0.0-20210227103229-6504466cf951/go.mod"
	"github.com/matryer/is v1.2.0/go.mod"
	"github.com/matryer/is v1.4.0"
	"github.com/matryer/is v1.4.0/go.mod"
	"github.com/mattn/go-colorable v0.0.9/go.mod"
	"github.com/mattn/go-colorable v0.1.4/go.mod"
	"github.com/mattn/go-colorable v0.1.6/go.mod"
	"github.com/mattn/go-colorable v0.1.8/go.mod"
	"github.com/mattn/go-colorable v0.1.9/go.mod"
	"github.com/mattn/go-colorable v0.1.11/go.mod"
	"github.com/mattn/go-colorable v0.1.12"
	"github.com/mattn/go-colorable v0.1.12/go.mod"
	"github.com/mattn/go-isatty v0.0.3/go.mod"
	"github.com/mattn/go-isatty v0.0.4/go.mod"
	"github.com/mattn/go-isatty v0.0.8/go.mod"
	"github.com/mattn/go-isatty v0.0.10/go.mod"
	"github.com/mattn/go-isatty v0.0.11/go.mod"
	"github.com/mattn/go-isatty v0.0.12/go.mod"
	"github.com/mattn/go-isatty v0.0.14"
	"github.com/mattn/go-isatty v0.0.14/go.mod"
	"github.com/mattn/go-runewidth v0.0.2/go.mod"
	"github.com/mattn/go-runewidth v0.0.4/go.mod"
	"github.com/mattn/go-runewidth v0.0.6/go.mod"
	"github.com/mattn/go-runewidth v0.0.9/go.mod"
	"github.com/mattn/go-runewidth v0.0.13"
	"github.com/mattn/go-runewidth v0.0.13/go.mod"
	"github.com/mattn/go-sqlite3 v1.9.0/go.mod"
	"github.com/mattn/goveralls v0.0.2/go.mod"
	"github.com/matttproud/golang_protobuf_extensions v1.0.1"
	"github.com/matttproud/golang_protobuf_extensions v1.0.1/go.mod"
	"github.com/mbilski/exhaustivestruct v1.1.0/go.mod"
	"github.com/mbilski/exhaustivestruct v1.2.0"
	"github.com/mbilski/exhaustivestruct v1.2.0/go.mod"
	"github.com/mdlayher/ethernet v0.0.0-20190606142754-0394541c37b7/go.mod"
	"github.com/mdlayher/ethtool v0.0.0-20210210192532-2b88debcdd43/go.mod"
	"github.com/mdlayher/ethtool v0.0.0-20211028163843-288d040e9d60"
	"github.com/mdlayher/ethtool v0.0.0-20211028163843-288d040e9d60/go.mod"
	"github.com/mdlayher/genetlink v1.0.0"
	"github.com/mdlayher/genetlink v1.0.0/go.mod"
	"github.com/mdlayher/netlink v0.0.0-20190409211403-11939a169225/go.mod"
	"github.com/mdlayher/netlink v1.0.0/go.mod"
	"github.com/mdlayher/netlink v1.1.0/go.mod"
	"github.com/mdlayher/netlink v1.1.1/go.mod"
	"github.com/mdlayher/netlink v1.2.0/go.mod"
	"github.com/mdlayher/netlink v1.2.1/go.mod"
	"github.com/mdlayher/netlink v1.2.2-0.20210123213345-5cc92139ae3e/go.mod"
	"github.com/mdlayher/netlink v1.3.0/go.mod"
	"github.com/mdlayher/netlink v1.4.0/go.mod"
	"github.com/mdlayher/netlink v1.4.1/go.mod"
	"github.com/mdlayher/netlink v1.4.2"
	"github.com/mdlayher/netlink v1.4.2/go.mod"
	"github.com/mdlayher/raw v0.0.0-20190606142536-fef19f00fc18/go.mod"
	"github.com/mdlayher/raw v0.0.0-20191009151244-50f2db8cc065/go.mod"
	"github.com/mdlayher/sdnotify v0.0.0-20210228150836-ea3ec207d697"
	"github.com/mdlayher/sdnotify v0.0.0-20210228150836-ea3ec207d697/go.mod"
	"github.com/mdlayher/socket v0.0.0-20210307095302-262dc9984e00/go.mod"
	"github.com/mdlayher/socket v0.0.0-20211007213009-516dcbdf0267/go.mod"
	"github.com/mdlayher/socket v0.0.0-20211102153432-57e3fa563ecb"
	"github.com/mdlayher/socket v0.0.0-20211102153432-57e3fa563ecb/go.mod"
	"github.com/mgechev/dots v0.0.0-20210922191527-e955255bf517"
	"github.com/mgechev/dots v0.0.0-20210922191527-e955255bf517/go.mod"
	"github.com/mgechev/revive v1.1.2"
	"github.com/mgechev/revive v1.1.2/go.mod"
	"github.com/miekg/dns v1.0.14/go.mod"
	"github.com/miekg/dns v1.1.26/go.mod"
	"github.com/miekg/dns v1.1.35/go.mod"
	"github.com/miekg/dns v1.1.43"
	"github.com/miekg/dns v1.1.43/go.mod"
	"github.com/miekg/pkcs11 v1.0.2/go.mod"
	"github.com/miekg/pkcs11 v1.0.3/go.mod"
	"github.com/mitchellh/cli v1.0.0/go.mod"
	"github.com/mitchellh/cli v1.1.0/go.mod"
	"github.com/mitchellh/copystructure v1.0.0/go.mod"
	"github.com/mitchellh/copystructure v1.2.0"
	"github.com/mitchellh/copystructure v1.2.0/go.mod"
	"github.com/mitchellh/go-homedir v1.0.0/go.mod"
	"github.com/mitchellh/go-homedir v1.1.0"
	"github.com/mitchellh/go-homedir v1.1.0/go.mod"
	"github.com/mitchellh/go-ps v1.0.0"
	"github.com/mitchellh/go-ps v1.0.0/go.mod"
	"github.com/mitchellh/go-testing-interface v1.0.0/go.mod"
	"github.com/mitchellh/gox v0.4.0/go.mod"
	"github.com/mitchellh/iochan v1.0.0/go.mod"
	"github.com/mitchellh/mapstructure v0.0.0-20160808181253-ca63d7c062ee/go.mod"
	"github.com/mitchellh/mapstructure v1.1.2/go.mod"
	"github.com/mitchellh/mapstructure v1.3.3/go.mod"
	"github.com/mitchellh/mapstructure v1.4.0/go.mod"
	"github.com/mitchellh/mapstructure v1.4.1/go.mod"
	"github.com/mitchellh/mapstructure v1.4.2/go.mod"
	"github.com/mitchellh/mapstructure v1.4.3"
	"github.com/mitchellh/mapstructure v1.4.3/go.mod"
	"github.com/mitchellh/reflectwalk v1.0.0/go.mod"
	"github.com/mitchellh/reflectwalk v1.0.1/go.mod"
	"github.com/mitchellh/reflectwalk v1.0.2"
	"github.com/mitchellh/reflectwalk v1.0.2/go.mod"
	"github.com/modern-go/concurrent v0.0.0-20180228061459-e0a39a4cb421/go.mod"
	"github.com/modern-go/concurrent v0.0.0-20180306012644-bacd9c7ef1dd"
	"github.com/modern-go/concurrent v0.0.0-20180306012644-bacd9c7ef1dd/go.mod"
	"github.com/modern-go/reflect2 v0.0.0-20180701023420-4b7aa43c6742/go.mod"
	"github.com/modern-go/reflect2 v1.0.1"
	"github.com/modern-go/reflect2 v1.0.1/go.mod"
	"github.com/mohae/deepcopy v0.0.0-20170929034955-c48cc78d4826/go.mod"
	"github.com/moricho/tparallel v0.2.1"
	"github.com/moricho/tparallel v0.2.1/go.mod"
	"github.com/mozilla/scribe v0.0.0-20180711195314-fb71baf557c1/go.mod"
	"github.com/mozilla/tls-observatory v0.0.0-20200317151703-4fa42e1c2dee/go.mod"
	"github.com/mozilla/tls-observatory v0.0.0-20210609171429-7bc42856d2e5/go.mod"
	"github.com/mwitkow/go-conntrack v0.0.0-20161129095857-cc309e4a2223/go.mod"
	"github.com/mwitkow/go-conntrack v0.0.0-20190716064945-2f068394615f/go.mod"
	"github.com/mwitkow/go-proto-validators v0.0.0-20180403085117-0950a7990007/go.mod"
	"github.com/mwitkow/go-proto-validators v0.2.0/go.mod"
	"github.com/nakabonne/nestif v0.3.0/go.mod"
	"github.com/nakabonne/nestif v0.3.1"
	"github.com/nakabonne/nestif v0.3.1/go.mod"
	"github.com/nbutton23/zxcvbn-go v0.0.0-20180912185939-ae427f1e4c1d/go.mod"
	"github.com/nbutton23/zxcvbn-go v0.0.0-20210217022336-fa2cb2858354"
	"github.com/nbutton23/zxcvbn-go v0.0.0-20210217022336-fa2cb2858354/go.mod"
	"github.com/niemeyer/pretty v0.0.0-20200227124842-a10e7caefd8e/go.mod"
	"github.com/nishanths/exhaustive v0.1.0/go.mod"
	"github.com/nishanths/exhaustive v0.2.3/go.mod"
	"github.com/nishanths/exhaustive v0.7.11"
	"github.com/nishanths/exhaustive v0.7.11/go.mod"
	"github.com/nishanths/predeclared v0.0.0-20190419143655-18a43bb90ffc/go.mod"
	"github.com/nishanths/predeclared v0.2.1"
	"github.com/nishanths/predeclared v0.2.1/go.mod"
	"github.com/nxadm/tail v1.4.4/go.mod"
	"github.com/nxadm/tail v1.4.8"
	"github.com/nxadm/tail v1.4.8/go.mod"
	"github.com/oklog/ulid v1.3.1/go.mod"
	"github.com/olekukonko/tablewriter v0.0.0-20170122224234-a0225b3f23b5/go.mod"
	"github.com/olekukonko/tablewriter v0.0.1/go.mod"
	"github.com/olekukonko/tablewriter v0.0.2/go.mod"
	"github.com/olekukonko/tablewriter v0.0.5"
	"github.com/olekukonko/tablewriter v0.0.5/go.mod"
	"github.com/onsi/ginkgo v1.6.0/go.mod"
	"github.com/onsi/ginkgo v1.10.3/go.mod"
	"github.com/onsi/ginkgo v1.12.1/go.mod"
	"github.com/onsi/ginkgo v1.14.1/go.mod"
	"github.com/onsi/ginkgo v1.16.4/go.mod"
	"github.com/onsi/ginkgo v1.16.5"
	"github.com/onsi/ginkgo v1.16.5/go.mod"
	"github.com/onsi/gomega v1.7.1/go.mod"
	"github.com/onsi/gomega v1.10.1/go.mod"
	"github.com/onsi/gomega v1.10.2/go.mod"
	"github.com/onsi/gomega v1.16.0/go.mod"
	"github.com/onsi/gomega v1.17.0"
	"github.com/onsi/gomega v1.17.0/go.mod"
	"github.com/op/go-logging v0.0.0-20160315200505-970db520ece7"
	"github.com/op/go-logging v0.0.0-20160315200505-970db520ece7/go.mod"
	"github.com/opentracing/opentracing-go v1.1.0/go.mod"
	"github.com/otiai10/copy v1.2.0"
	"github.com/otiai10/copy v1.2.0/go.mod"
	"github.com/otiai10/curr v0.0.0-20150429015615-9b4961190c95/go.mod"
	"github.com/otiai10/curr v1.0.0/go.mod"
	"github.com/otiai10/mint v1.3.0/go.mod"
	"github.com/otiai10/mint v1.3.1/go.mod"
	"github.com/pascaldekloe/goe v0.0.0-20180627143212-57f6aae5913c/go.mod"
	"github.com/pborman/getopt v1.1.0"
	"github.com/pborman/getopt v1.1.0/go.mod"
	"github.com/pborman/uuid v1.2.0/go.mod"
	"github.com/pelletier/go-toml v1.2.0/go.mod"
	"github.com/pelletier/go-toml v1.6.0/go.mod"
	"github.com/pelletier/go-toml v1.8.1/go.mod"
	"github.com/pelletier/go-toml v1.9.3/go.mod"
	"github.com/pelletier/go-toml v1.9.4"
	"github.com/pelletier/go-toml v1.9.4/go.mod"
	"github.com/peterbourgon/diskv v2.0.1+incompatible/go.mod"
	"github.com/peterbourgon/ff/v3 v3.0.0/go.mod"
	"github.com/peterbourgon/ff/v3 v3.1.2"
	"github.com/peterbourgon/ff/v3 v3.1.2/go.mod"
	"github.com/phayes/checkstyle v0.0.0-20170904204023-bfd46e6a821d"
	"github.com/phayes/checkstyle v0.0.0-20170904204023-bfd46e6a821d/go.mod"
	"github.com/pkg/diff v0.0.0-20200914180035-5b29258ca4f7/go.mod"
	"github.com/pkg/diff v0.0.0-20210226163009-20ebb0f2a09e"
	"github.com/pkg/diff v0.0.0-20210226163009-20ebb0f2a09e/go.mod"
	"github.com/pkg/errors v0.8.0/go.mod"
	"github.com/pkg/errors v0.8.1/go.mod"
	"github.com/pkg/errors v0.9.1"
	"github.com/pkg/errors v0.9.1/go.mod"
	"github.com/pkg/sftp v1.10.1/go.mod"
	"github.com/pkg/sftp v1.13.4"
	"github.com/pkg/sftp v1.13.4/go.mod"
	"github.com/pmezard/go-difflib v0.0.0-20151028094244-d8ed2627bdf0/go.mod"
	"github.com/pmezard/go-difflib v1.0.0"
	"github.com/pmezard/go-difflib v1.0.0/go.mod"
	"github.com/polyfloyd/go-errorlint v0.0.0-20201006195004-351e25ade6e3/go.mod"
	"github.com/polyfloyd/go-errorlint v0.0.0-20201127212506-19bd8db6546f/go.mod"
	"github.com/polyfloyd/go-errorlint v0.0.0-20210722154253-910bb7978349/go.mod"
	"github.com/polyfloyd/go-errorlint v0.0.0-20211125173453-6d6d39c5bb8b"
	"github.com/polyfloyd/go-errorlint v0.0.0-20211125173453-6d6d39c5bb8b/go.mod"
	"github.com/posener/complete v1.1.1/go.mod"
	"github.com/posener/complete v1.2.3/go.mod"
	"github.com/prometheus/client_golang v0.9.1/go.mod"
	"github.com/prometheus/client_golang v0.9.3/go.mod"
	"github.com/prometheus/client_golang v1.0.0/go.mod"
	"github.com/prometheus/client_golang v1.7.1/go.mod"
	"github.com/prometheus/client_golang v1.11.0"
	"github.com/prometheus/client_golang v1.11.0/go.mod"
	"github.com/prometheus/client_model v0.0.0-20180712105110-5c3871d89910/go.mod"
	"github.com/prometheus/client_model v0.0.0-20190129233127-fd36f4220a90/go.mod"
	"github.com/prometheus/client_model v0.0.0-20190812154241-14fe0d1b01d4/go.mod"
	"github.com/prometheus/client_model v0.2.0"
	"github.com/prometheus/client_model v0.2.0/go.mod"
	"github.com/prometheus/common v0.0.0-20181113130724-41aa239b4cce/go.mod"
	"github.com/prometheus/common v0.4.0/go.mod"
	"github.com/prometheus/common v0.4.1/go.mod"
	"github.com/prometheus/common v0.10.0/go.mod"
	"github.com/prometheus/common v0.26.0/go.mod"
	"github.com/prometheus/common v0.32.1"
	"github.com/prometheus/common v0.32.1/go.mod"
	"github.com/prometheus/procfs v0.0.0-20181005140218-185b4288413d/go.mod"
	"github.com/prometheus/procfs v0.0.0-20190507164030-5867b95ac084/go.mod"
	"github.com/prometheus/procfs v0.0.2/go.mod"
	"github.com/prometheus/procfs v0.1.3/go.mod"
	"github.com/prometheus/procfs v0.6.0/go.mod"
	"github.com/prometheus/procfs v0.7.3"
	"github.com/prometheus/procfs v0.7.3/go.mod"
	"github.com/prometheus/tsdb v0.7.1/go.mod"
	"github.com/pseudomuto/protoc-gen-doc v1.3.2/go.mod"
	"github.com/pseudomuto/protokit v0.2.0/go.mod"
	"github.com/quasilyte/go-consistent v0.0.0-20190521200055-c6f3937de18c/go.mod"
	"github.com/quasilyte/go-ruleguard v0.2.0/go.mod"
	"github.com/quasilyte/go-ruleguard v0.2.1/go.mod"
	"github.com/quasilyte/go-ruleguard v0.3.1-0.20210203134552-1b5a410e1cc8/go.mod"
	"github.com/quasilyte/go-ruleguard v0.3.13"
	"github.com/quasilyte/go-ruleguard v0.3.13/go.mod"
	"github.com/quasilyte/go-ruleguard/dsl v0.3.0/go.mod"
	"github.com/quasilyte/go-ruleguard/dsl v0.3.10/go.mod"
	"github.com/quasilyte/go-ruleguard/rules v0.0.0-20201231183845-9e62ed36efe1/go.mod"
	"github.com/quasilyte/go-ruleguard/rules v0.0.0-20210428214800-545e0d2e0bf7/go.mod"
	"github.com/quasilyte/regex/syntax v0.0.0-20200407221936-30656e2c4a95/go.mod"
	"github.com/quasilyte/regex/syntax v0.0.0-20200805063351-8f842688393c/go.mod"
	"github.com/quasilyte/regex/syntax v0.0.0-20210819130434-b3f0c404a727"
	"github.com/quasilyte/regex/syntax v0.0.0-20210819130434-b3f0c404a727/go.mod"
	"github.com/rivo/uniseg v0.2.0"
	"github.com/rivo/uniseg v0.2.0/go.mod"
	"github.com/rogpeppe/fastuuid v0.0.0-20150106093220-6724a57986af/go.mod"
	"github.com/rogpeppe/fastuuid v1.2.0/go.mod"
	"github.com/rogpeppe/go-internal v1.3.0/go.mod"
	"github.com/rogpeppe/go-internal v1.5.2/go.mod"
	"github.com/rogpeppe/go-internal v1.6.1/go.mod"
	"github.com/rogpeppe/go-internal v1.6.2/go.mod"
	"github.com/rogpeppe/go-internal v1.8.1-0.20210923151022-86f73c517451/go.mod"
	"github.com/rogpeppe/go-internal v1.8.1-0.20211023094830-115ce09fd6b4"
	"github.com/rogpeppe/go-internal v1.8.1-0.20211023094830-115ce09fd6b4/go.mod"
	"github.com/rs/cors v1.7.0/go.mod"
	"github.com/russross/blackfriday v1.5.2/go.mod"
	"github.com/russross/blackfriday/v2 v2.0.1/go.mod"
	"github.com/ryancurrah/gomodguard v1.1.0/go.mod"
	"github.com/ryancurrah/gomodguard v1.2.3"
	"github.com/ryancurrah/gomodguard v1.2.3/go.mod"
	"github.com/ryanrolds/sqlclosecheck v0.3.0"
	"github.com/ryanrolds/sqlclosecheck v0.3.0/go.mod"
	"github.com/ryanuber/columnize v0.0.0-20160712163229-9b3edd62028f/go.mod"
	"github.com/sagikazarmark/crypt v0.1.0/go.mod"
	"github.com/sanposhiho/wastedassign/v2 v2.0.6/go.mod"
	"github.com/sanposhiho/wastedassign/v2 v2.0.7"
	"github.com/sanposhiho/wastedassign/v2 v2.0.7/go.mod"
	"github.com/sassoftware/go-rpmutils v0.0.0-20190420191620-a8f1baeba37b"
	"github.com/sassoftware/go-rpmutils v0.0.0-20190420191620-a8f1baeba37b/go.mod"
	"github.com/sean-/seed v0.0.0-20170313163322-e2103e2c3529/go.mod"
	"github.com/securego/gosec/v2 v2.5.0/go.mod"
	"github.com/securego/gosec/v2 v2.9.1/go.mod"
	"github.com/securego/gosec/v2 v2.9.3"
	"github.com/securego/gosec/v2 v2.9.3/go.mod"
	"github.com/sergi/go-diff v1.0.0/go.mod"
	"github.com/sergi/go-diff v1.1.0/go.mod"
	"github.com/sergi/go-diff v1.2.0"
	"github.com/sergi/go-diff v1.2.0/go.mod"
	"github.com/shazow/go-diff v0.0.0-20160112020656-b6b7b6733b8c"
	"github.com/shazow/go-diff v0.0.0-20160112020656-b6b7b6733b8c/go.mod"
	"github.com/shirou/gopsutil v0.0.0-20190901111213-e4ec7b275ada/go.mod"
	"github.com/shirou/gopsutil/v3 v3.21.10/go.mod"
	"github.com/shirou/w32 v0.0.0-20160930032740-bb4de0191aa4/go.mod"
	"github.com/shurcooL/go v0.0.0-20180423040247-9e1955d9fb6e/go.mod"
	"github.com/shurcooL/go-goon v0.0.0-20170922171312-37c2f522c041/go.mod"
	"github.com/shurcooL/sanitized_anchor_name v1.0.0/go.mod"
	"github.com/sirupsen/logrus v1.2.0/go.mod"
	"github.com/sirupsen/logrus v1.4.1/go.mod"
	"github.com/sirupsen/logrus v1.4.2/go.mod"
	"github.com/sirupsen/logrus v1.6.0/go.mod"
	"github.com/sirupsen/logrus v1.7.0/go.mod"
	"github.com/sirupsen/logrus v1.8.1"
	"github.com/sirupsen/logrus v1.8.1/go.mod"
	"github.com/sivchari/tenv v1.4.7"
	"github.com/sivchari/tenv v1.4.7/go.mod"
	"github.com/skip2/go-qrcode v0.0.0-20200617195104-da1b6568686e"
	"github.com/skip2/go-qrcode v0.0.0-20200617195104-da1b6568686e/go.mod"
	"github.com/smartystreets/assertions v0.0.0-20180927180507-b2de0cb4f26d/go.mod"
	"github.com/smartystreets/goconvey v1.6.4/go.mod"
	"github.com/soheilhy/cmux v0.1.4/go.mod"
	"github.com/sonatard/noctx v0.0.1"
	"github.com/sonatard/noctx v0.0.1/go.mod"
	"github.com/sourcegraph/go-diff v0.6.1"
	"github.com/sourcegraph/go-diff v0.6.1/go.mod"
	"github.com/spaolacci/murmur3 v0.0.0-20180118202830-f09979ecbc72/go.mod"
	"github.com/spf13/afero v1.1.2/go.mod"
	"github.com/spf13/afero v1.4.1/go.mod"
	"github.com/spf13/afero v1.5.1/go.mod"
	"github.com/spf13/afero v1.6.0"
	"github.com/spf13/afero v1.6.0/go.mod"
	"github.com/spf13/cast v1.3.0/go.mod"
	"github.com/spf13/cast v1.3.1/go.mod"
	"github.com/spf13/cast v1.4.1"
	"github.com/spf13/cast v1.4.1/go.mod"
	"github.com/spf13/cobra v0.0.3/go.mod"
	"github.com/spf13/cobra v0.0.5/go.mod"
	"github.com/spf13/cobra v1.1.1/go.mod"
	"github.com/spf13/cobra v1.2.1"
	"github.com/spf13/cobra v1.2.1/go.mod"
	"github.com/spf13/jwalterweatherman v1.0.0/go.mod"
	"github.com/spf13/jwalterweatherman v1.1.0"
	"github.com/spf13/jwalterweatherman v1.1.0/go.mod"
	"github.com/spf13/pflag v1.0.1/go.mod"
	"github.com/spf13/pflag v1.0.3/go.mod"
	"github.com/spf13/pflag v1.0.5"
	"github.com/spf13/pflag v1.0.5/go.mod"
	"github.com/spf13/viper v1.3.2/go.mod"
	"github.com/spf13/viper v1.7.0/go.mod"
	"github.com/spf13/viper v1.7.1/go.mod"
	"github.com/spf13/viper v1.8.1/go.mod"
	"github.com/spf13/viper v1.9.0"
	"github.com/spf13/viper v1.9.0/go.mod"
	"github.com/ssgreg/nlreturn/v2 v2.1.0/go.mod"
	"github.com/ssgreg/nlreturn/v2 v2.2.1"
	"github.com/ssgreg/nlreturn/v2 v2.2.1/go.mod"
	"github.com/stretchr/objx v0.1.0/go.mod"
	"github.com/stretchr/objx v0.1.1/go.mod"
	"github.com/stretchr/objx v0.3.0"
	"github.com/stretchr/objx v0.3.0/go.mod"
	"github.com/stretchr/testify v0.0.0-20170130113145-4d4bfba8f1d1/go.mod"
	"github.com/stretchr/testify v1.1.4/go.mod"
	"github.com/stretchr/testify v1.2.2/go.mod"
	"github.com/stretchr/testify v1.3.0/go.mod"
	"github.com/stretchr/testify v1.4.0/go.mod"
	"github.com/stretchr/testify v1.5.1/go.mod"
	"github.com/stretchr/testify v1.6.1/go.mod"
	"github.com/stretchr/testify v1.7.0"
	"github.com/stretchr/testify v1.7.0/go.mod"
	"github.com/subosito/gotenv v1.2.0"
	"github.com/subosito/gotenv v1.2.0/go.mod"
	"github.com/sylvia7788/contextcheck v1.0.4"
	"github.com/sylvia7788/contextcheck v1.0.4/go.mod"
	"github.com/tailscale/certstore v0.0.0-20210528134328-066c94b793d3"
	"github.com/tailscale/certstore v0.0.0-20210528134328-066c94b793d3/go.mod"
	"github.com/tailscale/depaware v0.0.0-20210622194025-720c4b409502"
	"github.com/tailscale/depaware v0.0.0-20210622194025-720c4b409502/go.mod"
	"github.com/tailscale/goexpect v0.0.0-20210902213824-6e8c725cea41"
	"github.com/tailscale/goexpect v0.0.0-20210902213824-6e8c725cea41/go.mod"
	"github.com/tailscale/goupnp v1.0.1-0.20210804011211-c64d0f06ea05"
	"github.com/tailscale/goupnp v1.0.1-0.20210804011211-c64d0f06ea05/go.mod"
	"github.com/tailscale/hujson v0.0.0-20211105212140-3a0adc019d83"
	"github.com/tailscale/hujson v0.0.0-20211105212140-3a0adc019d83/go.mod"
	"github.com/tailscale/netlink v1.1.1-0.20211101221916-cabfb018fe85"
	"github.com/tailscale/netlink v1.1.1-0.20211101221916-cabfb018fe85/go.mod"
	"github.com/tcnksm/go-httpstat v0.2.0"
	"github.com/tcnksm/go-httpstat v0.2.0/go.mod"
	"github.com/tdakkota/asciicheck v0.0.0-20200416190851-d7f85be797a2/go.mod"
	"github.com/tdakkota/asciicheck v0.0.0-20200416200610-e657995f937b/go.mod"
	"github.com/tdakkota/asciicheck v0.1.1"
	"github.com/tdakkota/asciicheck v0.1.1/go.mod"
	"github.com/tenntenn/modver v1.0.1"
	"github.com/tenntenn/modver v1.0.1/go.mod"
	"github.com/tenntenn/text/transform v0.0.0-20200319021203-7eef512accb3"
	"github.com/tenntenn/text/transform v0.0.0-20200319021203-7eef512accb3/go.mod"
	"github.com/tetafro/godot v1.3.0/go.mod"
	"github.com/tetafro/godot v1.3.2/go.mod"
	"github.com/tetafro/godot v1.4.11"
	"github.com/tetafro/godot v1.4.11/go.mod"
	"github.com/timakin/bodyclose v0.0.0-20190930140734-f7f2e9bca95e/go.mod"
	"github.com/timakin/bodyclose v0.0.0-20200424151742-cb6215831a94/go.mod"
	"github.com/timakin/bodyclose v0.0.0-20210704033933-f49887972144"
	"github.com/timakin/bodyclose v0.0.0-20210704033933-f49887972144/go.mod"
	"github.com/tklauser/go-sysconf v0.3.9/go.mod"
	"github.com/tklauser/numcpus v0.3.0/go.mod"
	"github.com/tmc/grpc-websocket-proxy v0.0.0-20170815181823-89b8d40f7ca8/go.mod"
	"github.com/tmc/grpc-websocket-proxy v0.0.0-20190109142713-0ad062ec5ee5/go.mod"
	"github.com/tmc/grpc-websocket-proxy v0.0.0-20200427203606-3cfed13b9966/go.mod"
	"github.com/tomarrell/wrapcheck v0.0.0-20200807122107-df9e8bcb914d/go.mod"
	"github.com/tomarrell/wrapcheck v0.0.0-20201130113247-1683564d9756"
	"github.com/tomarrell/wrapcheck v0.0.0-20201130113247-1683564d9756/go.mod"
	"github.com/tomarrell/wrapcheck/v2 v2.4.0"
	"github.com/tomarrell/wrapcheck/v2 v2.4.0/go.mod"
	"github.com/tomasen/realip v0.0.0-20180522021738-f0c99a92ddce/go.mod"
	"github.com/tommy-muehle/go-mnd v1.3.1-0.20200224220436-e6f9a994e8fa"
	"github.com/tommy-muehle/go-mnd v1.3.1-0.20200224220436-e6f9a994e8fa/go.mod"
	"github.com/tommy-muehle/go-mnd/v2 v2.4.0"
	"github.com/tommy-muehle/go-mnd/v2 v2.4.0/go.mod"
	"github.com/toqueteos/webbrowser v1.2.0"
	"github.com/toqueteos/webbrowser v1.2.0/go.mod"
	"github.com/u-root/uio v0.0.0-20210528114334-82958018845c"
	"github.com/u-root/uio v0.0.0-20210528114334-82958018845c/go.mod"
	"github.com/ugorji/go v1.1.7"
	"github.com/ugorji/go v1.1.7/go.mod"
	"github.com/ugorji/go/codec v0.0.0-20181204163529-d75b2dcb6bc8/go.mod"
	"github.com/ugorji/go/codec v1.1.7"
	"github.com/ugorji/go/codec v1.1.7/go.mod"
	"github.com/ulikunitz/xz v0.5.7/go.mod"
	"github.com/ulikunitz/xz v0.5.10"
	"github.com/ulikunitz/xz v0.5.10/go.mod"
	"github.com/ultraware/funlen v0.0.3"
	"github.com/ultraware/funlen v0.0.3/go.mod"
	"github.com/ultraware/whitespace v0.0.4"
	"github.com/ultraware/whitespace v0.0.4/go.mod"
	"github.com/urfave/cli v1.20.0/go.mod"
	"github.com/urfave/cli v1.22.1/go.mod"
	"github.com/uudashr/gocognit v1.0.1/go.mod"
	"github.com/uudashr/gocognit v1.0.5"
	"github.com/uudashr/gocognit v1.0.5/go.mod"
	"github.com/valyala/bytebufferpool v1.0.0/go.mod"
	"github.com/valyala/fasthttp v1.16.0/go.mod"
	"github.com/valyala/fasthttp v1.30.0/go.mod"
	"github.com/valyala/quicktemplate v1.6.3/go.mod"
	"github.com/valyala/quicktemplate v1.7.0/go.mod"
	"github.com/valyala/tcplisten v0.0.0-20161114210144-ceec8f93295a/go.mod"
	"github.com/valyala/tcplisten v1.0.0/go.mod"
	"github.com/viki-org/dnscache v0.0.0-20130720023526-c70c1f23c5d8/go.mod"
	"github.com/vishvananda/netlink v1.1.1-0.20211101163509-b10eb8fe5cf6"
	"github.com/vishvananda/netlink v1.1.1-0.20211101163509-b10eb8fe5cf6/go.mod"
	"github.com/vishvananda/netns v0.0.0-20200728191858-db3c7e526aae/go.mod"
	"github.com/vishvananda/netns v0.0.0-20211101163701-50045581ed74"
	"github.com/vishvananda/netns v0.0.0-20211101163701-50045581ed74/go.mod"
	"github.com/xanzy/ssh-agent v0.2.1/go.mod"
	"github.com/xanzy/ssh-agent v0.3.0/go.mod"
	"github.com/xanzy/ssh-agent v0.3.1"
	"github.com/xanzy/ssh-agent v0.3.1/go.mod"
	"github.com/xi2/xz v0.0.0-20171230120015-48954b6210f8"
	"github.com/xi2/xz v0.0.0-20171230120015-48954b6210f8/go.mod"
	"github.com/xiang90/probing v0.0.0-20190116061207-43a291ad63a2/go.mod"
	"github.com/xo/terminfo v0.0.0-20210125001918-ca9a967f8778/go.mod"
	"github.com/xordataexchange/crypt v0.0.3-0.20170626215501-b2862e3d0a77/go.mod"
	"github.com/yeya24/promlinter v0.1.0"
	"github.com/yeya24/promlinter v0.1.0/go.mod"
	"github.com/yudai/gojsondiff v1.0.0/go.mod"
	"github.com/yudai/golcs v0.0.0-20170316035057-ecda9a501e82/go.mod"
	"github.com/yudai/pp v2.0.1+incompatible/go.mod"
	"github.com/yuin/goldmark v1.1.25/go.mod"
	"github.com/yuin/goldmark v1.1.27/go.mod"
	"github.com/yuin/goldmark v1.1.32/go.mod"
	"github.com/yuin/goldmark v1.2.1/go.mod"
	"github.com/yuin/goldmark v1.3.5/go.mod"
	"github.com/yuin/goldmark v1.4.0/go.mod"
	"github.com/yuin/goldmark v1.4.1/go.mod"
	"github.com/ziutek/telnet v0.0.0-20180329124119-c3b780dc415b/go.mod"
	"go.etcd.io/bbolt v1.3.2/go.mod"
	"go.etcd.io/bbolt v1.3.3/go.mod"
	"go.etcd.io/bbolt v1.3.4/go.mod"
	"go.etcd.io/etcd v0.0.0-20200513171258-e048e166ab9c/go.mod"
	"go.etcd.io/etcd/api/v3 v3.5.0/go.mod"
	"go.etcd.io/etcd/client/pkg/v3 v3.5.0/go.mod"
	"go.etcd.io/etcd/client/v2 v2.305.0/go.mod"
	"go.mozilla.org/mozlog v0.0.0-20170222151521-4bb13139d403/go.mod"
	"go.opencensus.io v0.21.0/go.mod"
	"go.opencensus.io v0.22.0/go.mod"
	"go.opencensus.io v0.22.2/go.mod"
	"go.opencensus.io v0.22.3/go.mod"
	"go.opencensus.io v0.22.4/go.mod"
	"go.opencensus.io v0.22.5/go.mod"
	"go.opencensus.io v0.23.0/go.mod"
	"go.opentelemetry.io/proto/otlp v0.7.0/go.mod"
	"go.uber.org/atomic v1.3.2/go.mod"
	"go.uber.org/atomic v1.4.0/go.mod"
	"go.uber.org/atomic v1.5.0/go.mod"
	"go.uber.org/atomic v1.7.0/go.mod"
	"go.uber.org/multierr v1.1.0/go.mod"
	"go.uber.org/multierr v1.3.0/go.mod"
	"go.uber.org/multierr v1.4.0/go.mod"
	"go.uber.org/multierr v1.6.0/go.mod"
	"go.uber.org/tools v0.0.0-20190618225709-2cfd321de3ee/go.mod"
	"go.uber.org/zap v1.10.0/go.mod"
	"go.uber.org/zap v1.13.0/go.mod"
	"go.uber.org/zap v1.17.0/go.mod"
	"go4.org/intern v0.0.0-20210108033219-3eb7198706b2/go.mod"
	"go4.org/intern v0.0.0-20211027215823-ae77deb06f29"
	"go4.org/intern v0.0.0-20211027215823-ae77deb06f29/go.mod"
	"go4.org/mem v0.0.0-20210711025021-927187094b94"
	"go4.org/mem v0.0.0-20210711025021-927187094b94/go.mod"
	"go4.org/unsafe/assume-no-moving-gc v0.0.0-20201222175341-b30ae309168e/go.mod"
	"go4.org/unsafe/assume-no-moving-gc v0.0.0-20201222180813-1025295fd063/go.mod"
	"go4.org/unsafe/assume-no-moving-gc v0.0.0-20211027215541-db492cf91b37"
	"go4.org/unsafe/assume-no-moving-gc v0.0.0-20211027215541-db492cf91b37/go.mod"
	"golang.org/x/crypto v0.0.0-20180501155221-613d6eafa307/go.mod"
	"golang.org/x/crypto v0.0.0-20180904163835-0709b304e793/go.mod"
	"golang.org/x/crypto v0.0.0-20181029021203-45a5f77698d3/go.mod"
	"golang.org/x/crypto v0.0.0-20181203042331-505ab145d0a9/go.mod"
	"golang.org/x/crypto v0.0.0-20190219172222-a4c6cb3142f2/go.mod"
	"golang.org/x/crypto v0.0.0-20190308221718-c2843e01d9a2/go.mod"
	"golang.org/x/crypto v0.0.0-20190510104115-cbcb75029529/go.mod"
	"golang.org/x/crypto v0.0.0-20190605123033-f99c8df09eb5/go.mod"
	"golang.org/x/crypto v0.0.0-20190820162420-60c769a6c586/go.mod"
	"golang.org/x/crypto v0.0.0-20190923035154-9ee001bba392/go.mod"
	"golang.org/x/crypto v0.0.0-20191011191535-87dc89f01550/go.mod"
	"golang.org/x/crypto v0.0.0-20200302210943-78000ba7a073/go.mod"
	"golang.org/x/crypto v0.0.0-20200622213623-75b288015ac9/go.mod"
	"golang.org/x/crypto v0.0.0-20200728195943-123391ffb6de/go.mod"
	"golang.org/x/crypto v0.0.0-20201016220609-9e8e0b390897/go.mod"
	"golang.org/x/crypto v0.0.0-20201208171446-5f87f3452ae9/go.mod"
	"golang.org/x/crypto v0.0.0-20201221181555-eec23a3978ad/go.mod"
	"golang.org/x/crypto v0.0.0-20210220033148-5ea612d1eb83/go.mod"
	"golang.org/x/crypto v0.0.0-20210322153248-0c34fe9e7dc2/go.mod"
	"golang.org/x/crypto v0.0.0-20210421170649-83a5a9bb288b/go.mod"
	"golang.org/x/crypto v0.0.0-20210513164829-c07d793c2f9a/go.mod"
	"golang.org/x/crypto v0.0.0-20210616213533-5ff15b29337e/go.mod"
	"golang.org/x/crypto v0.0.0-20210711020723-a769d52b0f97/go.mod"
	"golang.org/x/crypto v0.0.0-20210817164053-32db794688a5/go.mod"
	"golang.org/x/crypto v0.0.0-20210921155107-089bfa567519/go.mod"
	"golang.org/x/crypto v0.0.0-20211117183948-ae814b36b871/go.mod"
	"golang.org/x/crypto v0.0.0-20211202192323-5770296d904e"
	"golang.org/x/crypto v0.0.0-20211202192323-5770296d904e/go.mod"
	"golang.org/x/exp v0.0.0-20190121172915-509febef88a4/go.mod"
	"golang.org/x/exp v0.0.0-20190306152737-a1d7652674e8/go.mod"
	"golang.org/x/exp v0.0.0-20190510132918-efd6b22b2522/go.mod"
	"golang.org/x/exp v0.0.0-20190829153037-c13cbed26979/go.mod"
	"golang.org/x/exp v0.0.0-20191030013958-a1ab85dbe136/go.mod"
	"golang.org/x/exp v0.0.0-20191129062945-2f5052295587/go.mod"
	"golang.org/x/exp v0.0.0-20191227195350-da58074b4299/go.mod"
	"golang.org/x/exp v0.0.0-20200119233911-0405dc783f0a/go.mod"
	"golang.org/x/exp v0.0.0-20200207192155-f17229e696bd/go.mod"
	"golang.org/x/exp v0.0.0-20200224162631-6cc2880d07d6/go.mod"
	"golang.org/x/exp v0.0.0-20200331195152-e8c3332aa8e5/go.mod"
	"golang.org/x/image v0.0.0-20190227222117-0694c2d4d067/go.mod"
	"golang.org/x/image v0.0.0-20190802002840-cff245a6509b/go.mod"
	"golang.org/x/lint v0.0.0-20181026193005-c67002cb31c3/go.mod"
	"golang.org/x/lint v0.0.0-20190227174305-5b3e6a55c961/go.mod"
	"golang.org/x/lint v0.0.0-20190301231843-5614ed5bae6f/go.mod"
	"golang.org/x/lint v0.0.0-20190313153728-d0100b6bd8b3/go.mod"
	"golang.org/x/lint v0.0.0-20190409202823-959b441ac422/go.mod"
	"golang.org/x/lint v0.0.0-20190909230951-414d861bb4ac/go.mod"
	"golang.org/x/lint v0.0.0-20190930215403-16217165b5de/go.mod"
	"golang.org/x/lint v0.0.0-20191125180803-fdd1cda4f05f/go.mod"
	"golang.org/x/lint v0.0.0-20200130185559-910be7a94367/go.mod"
	"golang.org/x/lint v0.0.0-20200302205851-738671d3881b/go.mod"
	"golang.org/x/lint v0.0.0-20201208152925-83fdc39ff7b5/go.mod"
	"golang.org/x/lint v0.0.0-20210508222113-6edffad5e616/go.mod"
	"golang.org/x/mobile v0.0.0-20190312151609-d3739f865fa6/go.mod"
	"golang.org/x/mobile v0.0.0-20190719004257-d2bd2a29d028/go.mod"
	"golang.org/x/mod v0.0.0-20190513183733-4bf6d317e70e/go.mod"
	"golang.org/x/mod v0.1.0/go.mod"
	"golang.org/x/mod v0.1.1-0.20191105210325-c90efee705ee/go.mod"
	"golang.org/x/mod v0.1.1-0.20191107180719-034126e5016b/go.mod"
	"golang.org/x/mod v0.2.0/go.mod"
	"golang.org/x/mod v0.3.0/go.mod"
	"golang.org/x/mod v0.4.0/go.mod"
	"golang.org/x/mod v0.4.1/go.mod"
	"golang.org/x/mod v0.4.2/go.mod"
	"golang.org/x/mod v0.5.0/go.mod"
	"golang.org/x/mod v0.5.1"
	"golang.org/x/mod v0.5.1/go.mod"
	"golang.org/x/net v0.0.0-20180724234803-3673e40ba225/go.mod"
	"golang.org/x/net v0.0.0-20180826012351-8a410e7b638d/go.mod"
	"golang.org/x/net v0.0.0-20180906233101-161cd47e91fd/go.mod"
	"golang.org/x/net v0.0.0-20181023162649-9b4f9f5ad519/go.mod"
	"golang.org/x/net v0.0.0-20181114220301-adae6a3d119a/go.mod"
	"golang.org/x/net v0.0.0-20181201002055-351d144fa1fc/go.mod"
	"golang.org/x/net v0.0.0-20181220203305-927f97764cc3/go.mod"
	"golang.org/x/net v0.0.0-20190108225652-1e06a53dbb7e/go.mod"
	"golang.org/x/net v0.0.0-20190213061140-3a22650c66bd/go.mod"
	"golang.org/x/net v0.0.0-20190311183353-d8887717615a/go.mod"
	"golang.org/x/net v0.0.0-20190404232315-eb5bcb51f2a3/go.mod"
	"golang.org/x/net v0.0.0-20190419010253-1f3472d942ba/go.mod"
	"golang.org/x/net v0.0.0-20190501004415-9ce7a6920f09/go.mod"
	"golang.org/x/net v0.0.0-20190503192946-f4e77d36d62c/go.mod"
	"golang.org/x/net v0.0.0-20190603091049-60506f45cf65/go.mod"
	"golang.org/x/net v0.0.0-20190613194153-d28f0bde5980/go.mod"
	"golang.org/x/net v0.0.0-20190620200207-3b0461eec859/go.mod"
	"golang.org/x/net v0.0.0-20190628185345-da137c7871d7/go.mod"
	"golang.org/x/net v0.0.0-20190724013045-ca1201d0de80/go.mod"
	"golang.org/x/net v0.0.0-20190813141303-74dc4d7220e7/go.mod"
	"golang.org/x/net v0.0.0-20190827160401-ba9fcec4b297/go.mod"
	"golang.org/x/net v0.0.0-20190923162816-aa69164e4478/go.mod"
	"golang.org/x/net v0.0.0-20191002035440-2ec189313ef0/go.mod"
	"golang.org/x/net v0.0.0-20191007182048-72f939374954/go.mod"
	"golang.org/x/net v0.0.0-20191209160850-c0dbc17a3553/go.mod"
	"golang.org/x/net v0.0.0-20200114155413-6afb5195e5aa/go.mod"
	"golang.org/x/net v0.0.0-20200202094626-16171245cfb2/go.mod"
	"golang.org/x/net v0.0.0-20200222125558-5a598a2470a0/go.mod"
	"golang.org/x/net v0.0.0-20200226121028-0de0cce0169b/go.mod"
	"golang.org/x/net v0.0.0-20200301022130-244492dfa37a/go.mod"
	"golang.org/x/net v0.0.0-20200324143707-d3edc9973b7e/go.mod"
	"golang.org/x/net v0.0.0-20200421231249-e086a090c8fd/go.mod"
	"golang.org/x/net v0.0.0-20200501053045-e0ff5e5a1de5/go.mod"
	"golang.org/x/net v0.0.0-20200506145744-7e3656a0809f/go.mod"
	"golang.org/x/net v0.0.0-20200513185701-a91f0712d120/go.mod"
	"golang.org/x/net v0.0.0-20200520004742-59133d7f0dd7/go.mod"
	"golang.org/x/net v0.0.0-20200520182314-0ba52f642ac2/go.mod"
	"golang.org/x/net v0.0.0-20200602114024-627f9648deb9/go.mod"
	"golang.org/x/net v0.0.0-20200625001655-4c5254603344/go.mod"
	"golang.org/x/net v0.0.0-20200707034311-ab3426394381/go.mod"
	"golang.org/x/net v0.0.0-20200822124328-c89045814202/go.mod"
	"golang.org/x/net v0.0.0-20201010224723-4f7140c49acb/go.mod"
	"golang.org/x/net v0.0.0-20201021035429-f5854403a974/go.mod"
	"golang.org/x/net v0.0.0-20201031054903-ff519b6c9102/go.mod"
	"golang.org/x/net v0.0.0-20201110031124-69a78807bb2b/go.mod"
	"golang.org/x/net v0.0.0-20201209123823-ac852fbbde11/go.mod"
	"golang.org/x/net v0.0.0-20201216054612-986b41b23924/go.mod"
	"golang.org/x/net v0.0.0-20201224014010-6772e930b67b/go.mod"
	"golang.org/x/net v0.0.0-20210119194325-5f4716e94777/go.mod"
	"golang.org/x/net v0.0.0-20210226172049-e18ecbb05110/go.mod"
	"golang.org/x/net v0.0.0-20210316092652-d523dce5a7f4/go.mod"
	"golang.org/x/net v0.0.0-20210326060303-6b1517762897/go.mod"
	"golang.org/x/net v0.0.0-20210405180319-a5a99cb37ef4/go.mod"
	"golang.org/x/net v0.0.0-20210428140749-89ef3d95e781/go.mod"
	"golang.org/x/net v0.0.0-20210503060351-7fd8e65b6420/go.mod"
	"golang.org/x/net v0.0.0-20210510120150-4163338589ed/go.mod"
	"golang.org/x/net v0.0.0-20210525063256-abc453219eb5/go.mod"
	"golang.org/x/net v0.0.0-20210805182204-aaa1db679c0d/go.mod"
	"golang.org/x/net v0.0.0-20210903162142-ad29c8ab022f/go.mod"
	"golang.org/x/net v0.0.0-20210928044308-7d9f5e0b762b/go.mod"
	"golang.org/x/net v0.0.0-20211015210444-4f30a5c0130f/go.mod"
	"golang.org/x/net v0.0.0-20211020060615-d418f374d309/go.mod"
	"golang.org/x/net v0.0.0-20211101193420-4a448f8816b3/go.mod"
	"golang.org/x/net v0.0.0-20211112202133-69e39bad7dc2/go.mod"
	"golang.org/x/net v0.0.0-20211201190559-0a0e4e1bb54c/go.mod"
	"golang.org/x/net v0.0.0-20211205041911-012df41ee64c"
	"golang.org/x/net v0.0.0-20211205041911-012df41ee64c/go.mod"
	"golang.org/x/oauth2 v0.0.0-20180821212333-d2e6202438be/go.mod"
	"golang.org/x/oauth2 v0.0.0-20190226205417-e64efc72b421/go.mod"
	"golang.org/x/oauth2 v0.0.0-20190604053449-0f29369cfe45/go.mod"
	"golang.org/x/oauth2 v0.0.0-20191202225959-858c2ad4c8b6/go.mod"
	"golang.org/x/oauth2 v0.0.0-20200107190931-bf48bf16ab8d/go.mod"
	"golang.org/x/oauth2 v0.0.0-20200902213428-5d25da1a8d43/go.mod"
	"golang.org/x/oauth2 v0.0.0-20201109201403-9fd604954f58/go.mod"
	"golang.org/x/oauth2 v0.0.0-20201208152858-08078c50e5b5/go.mod"
	"golang.org/x/oauth2 v0.0.0-20210218202405-ba52d332ba99/go.mod"
	"golang.org/x/oauth2 v0.0.0-20210220000619-9bb904979d93/go.mod"
	"golang.org/x/oauth2 v0.0.0-20210313182246-cd4f82c27b84/go.mod"
	"golang.org/x/oauth2 v0.0.0-20210402161424-2e8d93401602/go.mod"
	"golang.org/x/oauth2 v0.0.0-20210514164344-f6687ab2804c/go.mod"
	"golang.org/x/oauth2 v0.0.0-20210628180205-a41e5a781914/go.mod"
	"golang.org/x/oauth2 v0.0.0-20210805134026-6f1e6394065a/go.mod"
	"golang.org/x/oauth2 v0.0.0-20210819190943-2bc19b11175f/go.mod"
	"golang.org/x/sync v0.0.0-20180314180146-1d60e4601c6f/go.mod"
	"golang.org/x/sync v0.0.0-20181108010431-42b317875d0f/go.mod"
	"golang.org/x/sync v0.0.0-20181221193216-37e7f081c4d4/go.mod"
	"golang.org/x/sync v0.0.0-20190227155943-e225da77a7e6/go.mod"
	"golang.org/x/sync v0.0.0-20190412183630-56d357773e84/go.mod"
	"golang.org/x/sync v0.0.0-20190423024810-112230192c58/go.mod"
	"golang.org/x/sync v0.0.0-20190911185100-cd5d95a43a6e/go.mod"
	"golang.org/x/sync v0.0.0-20200317015054-43a5402ce75a/go.mod"
	"golang.org/x/sync v0.0.0-20200625203802-6e8e738ad208/go.mod"
	"golang.org/x/sync v0.0.0-20201020160332-67f06af15bc9/go.mod"
	"golang.org/x/sync v0.0.0-20201207232520-09787c993a3a/go.mod"
	"golang.org/x/sync v0.0.0-20210220032951-036812b2e83c"
	"golang.org/x/sync v0.0.0-20210220032951-036812b2e83c/go.mod"
	"golang.org/x/sys v0.0.0-20180823144017-11551d06cbcc/go.mod"
	"golang.org/x/sys v0.0.0-20180830151530-49385e6e1522/go.mod"
	"golang.org/x/sys v0.0.0-20180905080454-ebe1bf3edb33/go.mod"
	"golang.org/x/sys v0.0.0-20180909124046-d0be0721c37e/go.mod"
	"golang.org/x/sys v0.0.0-20181026203630-95b1ffbd15a5/go.mod"
	"golang.org/x/sys v0.0.0-20181107165924-66b7b1311ac8/go.mod"
	"golang.org/x/sys v0.0.0-20181116152217-5ac8a444bdc5/go.mod"
	"golang.org/x/sys v0.0.0-20181205085412-a5c9d58dba9a/go.mod"
	"golang.org/x/sys v0.0.0-20190215142949-d0b11bdaac8a/go.mod"
	"golang.org/x/sys v0.0.0-20190221075227-b4e8571b14e0/go.mod"
	"golang.org/x/sys v0.0.0-20190222072716-a9d3bda3a223/go.mod"
	"golang.org/x/sys v0.0.0-20190312061237-fead79001313/go.mod"
	"golang.org/x/sys v0.0.0-20190411185658-b44545bcd369/go.mod"
	"golang.org/x/sys v0.0.0-20190412213103-97732733099d/go.mod"
	"golang.org/x/sys v0.0.0-20190418153312-f0ce4c0180be/go.mod"
	"golang.org/x/sys v0.0.0-20190422165155-953cdadca894/go.mod"
	"golang.org/x/sys v0.0.0-20190502145724-3ef323f4f1fd/go.mod"
	"golang.org/x/sys v0.0.0-20190507160741-ecd444e8653b/go.mod"
	"golang.org/x/sys v0.0.0-20190606122018-79a91cf218c4/go.mod"
	"golang.org/x/sys v0.0.0-20190606165138-5da285871e9c/go.mod"
	"golang.org/x/sys v0.0.0-20190624142023-c5567b49c5d0/go.mod"
	"golang.org/x/sys v0.0.0-20190726091711-fc99dfbffb4e/go.mod"
	"golang.org/x/sys v0.0.0-20190826190057-c7b8b68b1456/go.mod"
	"golang.org/x/sys v0.0.0-20190904154756-749cb33beabd/go.mod"
	"golang.org/x/sys v0.0.0-20190916202348-b4ddaad3f8a3/go.mod"
	"golang.org/x/sys v0.0.0-20190922100055-0a153f010e69/go.mod"
	"golang.org/x/sys v0.0.0-20190924154521-2837fb4f24fe/go.mod"
	"golang.org/x/sys v0.0.0-20191001151750-bb3f8db39f24/go.mod"
	"golang.org/x/sys v0.0.0-20191005200804-aed5e4c7ecf9/go.mod"
	"golang.org/x/sys v0.0.0-20191008105621-543471e840be/go.mod"
	"golang.org/x/sys v0.0.0-20191026070338-33540a1f6037/go.mod"
	"golang.org/x/sys v0.0.0-20191120155948-bd437916bb0e/go.mod"
	"golang.org/x/sys v0.0.0-20191204072324-ce4227a45e2e/go.mod"
	"golang.org/x/sys v0.0.0-20191228213918-04cbcbbfeed8/go.mod"
	"golang.org/x/sys v0.0.0-20200106162015-b016eb3dc98e/go.mod"
	"golang.org/x/sys v0.0.0-20200113162924-86b910548bc1/go.mod"
	"golang.org/x/sys v0.0.0-20200116001909-b77594299b42/go.mod"
	"golang.org/x/sys v0.0.0-20200122134326-e047566fdf82/go.mod"
	"golang.org/x/sys v0.0.0-20200124204421-9fbb57f87de9/go.mod"
	"golang.org/x/sys v0.0.0-20200202164722-d101bd2416d5/go.mod"
	"golang.org/x/sys v0.0.0-20200212091648-12a6c2dcc1e4/go.mod"
	"golang.org/x/sys v0.0.0-20200217220822-9197077df867/go.mod"
	"golang.org/x/sys v0.0.0-20200223170610-d5e6a3e2c0ae/go.mod"
	"golang.org/x/sys v0.0.0-20200302150141-5c8b2ff67527/go.mod"
	"golang.org/x/sys v0.0.0-20200323222414-85ca7c5b95cd/go.mod"
	"golang.org/x/sys v0.0.0-20200331124033-c3d80250170d/go.mod"
	"golang.org/x/sys v0.0.0-20200420163511-1957bb5e6d1f/go.mod"
	"golang.org/x/sys v0.0.0-20200501052902-10377860bb8e/go.mod"
	"golang.org/x/sys v0.0.0-20200511232937-7e40ca221e25/go.mod"
	"golang.org/x/sys v0.0.0-20200515095857-1151b9dac4a9/go.mod"
	"golang.org/x/sys v0.0.0-20200519105757-fe76b779f299/go.mod"
	"golang.org/x/sys v0.0.0-20200523222454-059865788121/go.mod"
	"golang.org/x/sys v0.0.0-20200602225109-6fdc65e7d980/go.mod"
	"golang.org/x/sys v0.0.0-20200615200032-f1bc736245b1/go.mod"
	"golang.org/x/sys v0.0.0-20200625212154-ddb9806d33ae/go.mod"
	"golang.org/x/sys v0.0.0-20200728102440-3e129f6d46b1/go.mod"
	"golang.org/x/sys v0.0.0-20200803210538-64077c9b5642/go.mod"
	"golang.org/x/sys v0.0.0-20200905004654-be1d3432aa8f/go.mod"
	"golang.org/x/sys v0.0.0-20200930185726-fdedc70b468f/go.mod"
	"golang.org/x/sys v0.0.0-20201009025420-dfb3f7c4e634/go.mod"
	"golang.org/x/sys v0.0.0-20201018230417-eeed37f84f13/go.mod"
	"golang.org/x/sys v0.0.0-20201101102859-da207088b7d1/go.mod"
	"golang.org/x/sys v0.0.0-20201109165425-215b40eba54c/go.mod"
	"golang.org/x/sys v0.0.0-20201118182958-a01c418693c7/go.mod"
	"golang.org/x/sys v0.0.0-20201119102817-f84b799fce68/go.mod"
	"golang.org/x/sys v0.0.0-20201201145000-ef89a241ccb3/go.mod"
	"golang.org/x/sys v0.0.0-20201207223542-d4d67f95c62d/go.mod"
	"golang.org/x/sys v0.0.0-20201218084310-7d0127a74742/go.mod"
	"golang.org/x/sys v0.0.0-20210104204734-6f8348627aad/go.mod"
	"golang.org/x/sys v0.0.0-20210110051926-789bb1bd4061/go.mod"
	"golang.org/x/sys v0.0.0-20210112080510-489259a85091/go.mod"
	"golang.org/x/sys v0.0.0-20210119212857-b64e53b001e4/go.mod"
	"golang.org/x/sys v0.0.0-20210123111255-9b0068b26619/go.mod"
	"golang.org/x/sys v0.0.0-20210124154548-22da62e12c0c/go.mod"
	"golang.org/x/sys v0.0.0-20210216163648-f7da38b97c65/go.mod"
	"golang.org/x/sys v0.0.0-20210220050731-9a76102bfb43/go.mod"
	"golang.org/x/sys v0.0.0-20210301091718-77cc2087c03b/go.mod"
	"golang.org/x/sys v0.0.0-20210303074136-134d130e1a04/go.mod"
	"golang.org/x/sys v0.0.0-20210305230114-8fe3ee5dd75b/go.mod"
	"golang.org/x/sys v0.0.0-20210315160823-c6e025ad8005/go.mod"
	"golang.org/x/sys v0.0.0-20210320140829-1e4c9ba3b0c4/go.mod"
	"golang.org/x/sys v0.0.0-20210324051608-47abb6519492/go.mod"
	"golang.org/x/sys v0.0.0-20210330210617-4fbd30eecc44/go.mod"
	"golang.org/x/sys v0.0.0-20210403161142-5e06dd20ab57/go.mod"
	"golang.org/x/sys v0.0.0-20210423082822-04245dca01da/go.mod"
	"golang.org/x/sys v0.0.0-20210423185535-09eb48e85fd7/go.mod"
	"golang.org/x/sys v0.0.0-20210502180810-71e4cd670f79/go.mod"
	"golang.org/x/sys v0.0.0-20210510120138-977fb7262007/go.mod"
	"golang.org/x/sys v0.0.0-20210514084401-e8d321eab015/go.mod"
	"golang.org/x/sys v0.0.0-20210525143221-35b2ab0089ea/go.mod"
	"golang.org/x/sys v0.0.0-20210603081109-ebe580a85c40/go.mod"
	"golang.org/x/sys v0.0.0-20210603125802-9665404d3644/go.mod"
	"golang.org/x/sys v0.0.0-20210615035016-665e8c7367d1/go.mod"
	"golang.org/x/sys v0.0.0-20210616094352-59db8d763f22/go.mod"
	"golang.org/x/sys v0.0.0-20210630005230-0f9fa26af87c/go.mod"
	"golang.org/x/sys v0.0.0-20210806184541-e5e7981a1069/go.mod"
	"golang.org/x/sys v0.0.0-20210809222454-d867a43fc93e/go.mod"
	"golang.org/x/sys v0.0.0-20210816074244-15123e1e1f71/go.mod"
	"golang.org/x/sys v0.0.0-20210823070655-63515b42dcdf/go.mod"
	"golang.org/x/sys v0.0.0-20210906170528-6f6e22806c34/go.mod"
	"golang.org/x/sys v0.0.0-20210915083310-ed5796bab164/go.mod"
	"golang.org/x/sys v0.0.0-20210917161153-d61c044b1678/go.mod"
	"golang.org/x/sys v0.0.0-20210927094055-39ccf1dd6fa6/go.mod"
	"golang.org/x/sys v0.0.0-20211002104244-808efd93c36d/go.mod"
	"golang.org/x/sys v0.0.0-20211013075003-97ac67df715c/go.mod"
	"golang.org/x/sys v0.0.0-20211019181941-9d821ace8654/go.mod"
	"golang.org/x/sys v0.0.0-20211025201205-69cdffdb9359/go.mod"
	"golang.org/x/sys v0.0.0-20211102192858-4dd72447c267/go.mod"
	"golang.org/x/sys v0.0.0-20211103235746-7861aae1554b/go.mod"
	"golang.org/x/sys v0.0.0-20211105183446-c75c47738b0c/go.mod"
	"golang.org/x/sys v0.0.0-20211124211545-fe61309f8881/go.mod"
	"golang.org/x/sys v0.0.0-20211205182925-97ca703d548d"
	"golang.org/x/sys v0.0.0-20211205182925-97ca703d548d/go.mod"
	"golang.org/x/term v0.0.0-20201117132131-f5c789dd3221/go.mod"
	"golang.org/x/term v0.0.0-20201126162022-7de9c90e9dd1/go.mod"
	"golang.org/x/term v0.0.0-20210927222741-03fcf44c2211"
	"golang.org/x/term v0.0.0-20210927222741-03fcf44c2211/go.mod"
	"golang.org/x/text v0.0.0-20170915032832-14c0d48ead0c/go.mod"
	"golang.org/x/text v0.3.0/go.mod"
	"golang.org/x/text v0.3.1-0.20180807135948-17ff2d5776d2/go.mod"
	"golang.org/x/text v0.3.2/go.mod"
	"golang.org/x/text v0.3.3/go.mod"
	"golang.org/x/text v0.3.4/go.mod"
	"golang.org/x/text v0.3.5/go.mod"
	"golang.org/x/text v0.3.6/go.mod"
	"golang.org/x/text v0.3.7"
	"golang.org/x/text v0.3.7/go.mod"
	"golang.org/x/time v0.0.0-20180412165947-fbb02b2291d2/go.mod"
	"golang.org/x/time v0.0.0-20181108054448-85acf8d2951c/go.mod"
	"golang.org/x/time v0.0.0-20190308202827-9d24e82272b4/go.mod"
	"golang.org/x/time v0.0.0-20191024005414-555d28b269f0/go.mod"
	"golang.org/x/time v0.0.0-20200416051211-89c76fbcd5d1/go.mod"
	"golang.org/x/time v0.0.0-20211116232009-f0f3c7e86c11"
	"golang.org/x/time v0.0.0-20211116232009-f0f3c7e86c11/go.mod"
	"golang.org/x/tools v0.0.0-20180221164845-07fd8470d635/go.mod"
	"golang.org/x/tools v0.0.0-20180525024113-a5b4c53f6e8b/go.mod"
	"golang.org/x/tools v0.0.0-20180917221912-90fa682c2a6e/go.mod"
	"golang.org/x/tools v0.0.0-20181030221726-6c7e314b6563/go.mod"
	"golang.org/x/tools v0.0.0-20190110163146-51295c7ec13a/go.mod"
	"golang.org/x/tools v0.0.0-20190114222345-bf090417da8b/go.mod"
	"golang.org/x/tools v0.0.0-20190221204921-83362c3779f5/go.mod"
	"golang.org/x/tools v0.0.0-20190226205152-f727befe758c/go.mod"
	"golang.org/x/tools v0.0.0-20190307163923-6a08e3108db3/go.mod"
	"golang.org/x/tools v0.0.0-20190311212946-11955173bddd/go.mod"
	"golang.org/x/tools v0.0.0-20190311215038-5c2858a9cfe5/go.mod"
	"golang.org/x/tools v0.0.0-20190312151545-0bb0c0a6e846/go.mod"
	"golang.org/x/tools v0.0.0-20190312170243-e65039ee4138/go.mod"
	"golang.org/x/tools v0.0.0-20190321232350-e250d351ecad/go.mod"
	"golang.org/x/tools v0.0.0-20190322203728-c1a832b0ad89/go.mod"
	"golang.org/x/tools v0.0.0-20190328211700-ab21143f2384/go.mod"
	"golang.org/x/tools v0.0.0-20190425150028-36563e24a262/go.mod"
	"golang.org/x/tools v0.0.0-20190506145303-2d16b83fe98c/go.mod"
	"golang.org/x/tools v0.0.0-20190524140312-2c0ae7006135/go.mod"
	"golang.org/x/tools v0.0.0-20190606124116-d0a3d012864b/go.mod"
	"golang.org/x/tools v0.0.0-20190621195816-6e04913cbbac/go.mod"
	"golang.org/x/tools v0.0.0-20190628153133-6cdbf07be9d0/go.mod"
	"golang.org/x/tools v0.0.0-20190816200558-6889da9d5479/go.mod"
	"golang.org/x/tools v0.0.0-20190907020128-2ca718005c18/go.mod"
	"golang.org/x/tools v0.0.0-20190910044552-dd2b5c81c578/go.mod"
	"golang.org/x/tools v0.0.0-20190911174233-4f2ddba30aff/go.mod"
	"golang.org/x/tools v0.0.0-20190916130336-e45ffcd953cc/go.mod"
	"golang.org/x/tools v0.0.0-20191010075000-0337d82405ff/go.mod"
	"golang.org/x/tools v0.0.0-20191012152004-8de300cfc20a/go.mod"
	"golang.org/x/tools v0.0.0-20191029041327-9cc4af7d6b2c/go.mod"
	"golang.org/x/tools v0.0.0-20191029190741-b9c20aec41a5/go.mod"
	"golang.org/x/tools v0.0.0-20191108193012-7d206e10da11/go.mod"
	"golang.org/x/tools v0.0.0-20191112195655-aa38f8e97acc/go.mod"
	"golang.org/x/tools v0.0.0-20191113191852-77e3bb0ad9e7/go.mod"
	"golang.org/x/tools v0.0.0-20191115202509-3a792d9c32b2/go.mod"
	"golang.org/x/tools v0.0.0-20191119224855-298f0cb1881e/go.mod"
	"golang.org/x/tools v0.0.0-20191125144606-a911d9008d1f/go.mod"
	"golang.org/x/tools v0.0.0-20191130070609-6e064ea0cf2d/go.mod"
	"golang.org/x/tools v0.0.0-20191216052735-49a3e744a425/go.mod"
	"golang.org/x/tools v0.0.0-20191216173652-a0e659d51361/go.mod"
	"golang.org/x/tools v0.0.0-20191227053925-7b8e75db28f4/go.mod"
	"golang.org/x/tools v0.0.0-20200117161641-43d50277825c/go.mod"
	"golang.org/x/tools v0.0.0-20200117220505-0cba7a3a9ee9/go.mod"
	"golang.org/x/tools v0.0.0-20200122220014-bf1340f18c4a/go.mod"
	"golang.org/x/tools v0.0.0-20200130002326-2f3ba24bd6e7/go.mod"
	"golang.org/x/tools v0.0.0-20200204074204-1cc6d1ef6c74/go.mod"
	"golang.org/x/tools v0.0.0-20200207183749-b753a1ba74fa/go.mod"
	"golang.org/x/tools v0.0.0-20200212150539-ea181f53ac56/go.mod"
	"golang.org/x/tools v0.0.0-20200224181240-023911ca70b2/go.mod"
	"golang.org/x/tools v0.0.0-20200227222343-706bc42d1f0d/go.mod"
	"golang.org/x/tools v0.0.0-20200304193943-95d2e580d8eb/go.mod"
	"golang.org/x/tools v0.0.0-20200312045724-11d5b4c81c7d/go.mod"
	"golang.org/x/tools v0.0.0-20200324003944-a576cf524670/go.mod"
	"golang.org/x/tools v0.0.0-20200329025819-fd4102a86c65/go.mod"
	"golang.org/x/tools v0.0.0-20200331025713-a30bf2db82d4/go.mod"
	"golang.org/x/tools v0.0.0-20200410194907-79a7a3126eef/go.mod"
	"golang.org/x/tools v0.0.0-20200414032229-332987a829c3/go.mod"
	"golang.org/x/tools v0.0.0-20200422022333-3d57cf2e726e/go.mod"
	"golang.org/x/tools v0.0.0-20200426102838-f3a5411a4c3b/go.mod"
	"golang.org/x/tools v0.0.0-20200501065659-ab2804fb9c9d/go.mod"
	"golang.org/x/tools v0.0.0-20200512131952-2bc93b1c0c88/go.mod"
	"golang.org/x/tools v0.0.0-20200515010526-7d3b6ebf133d/go.mod"
	"golang.org/x/tools v0.0.0-20200618134242-20370b0cb4b2/go.mod"
	"golang.org/x/tools v0.0.0-20200619180055-7c47624df98f/go.mod"
	"golang.org/x/tools v0.0.0-20200622203043-20e05c1c8ffa/go.mod"
	"golang.org/x/tools v0.0.0-20200624225443-88f3c62a19ff/go.mod"
	"golang.org/x/tools v0.0.0-20200625211823-6506e20df31f/go.mod"
	"golang.org/x/tools v0.0.0-20200626171337-aa94e735be7f/go.mod"
	"golang.org/x/tools v0.0.0-20200630154851-b2d8b0336632/go.mod"
	"golang.org/x/tools v0.0.0-20200706234117-b22de6825cf7/go.mod"
	"golang.org/x/tools v0.0.0-20200724022722-7017fd6b1305/go.mod"
	"golang.org/x/tools v0.0.0-20200729194436-6467de6f59a7/go.mod"
	"golang.org/x/tools v0.0.0-20200731060945-b5fad4ed8dd6/go.mod"
	"golang.org/x/tools v0.0.0-20200804011535-6c149bb5ef0d/go.mod"
	"golang.org/x/tools v0.0.0-20200812195022-5ae4c3c160a0/go.mod"
	"golang.org/x/tools v0.0.0-20200820010801-b793a1359eac/go.mod"
	"golang.org/x/tools v0.0.0-20200825202427-b303f430e36d/go.mod"
	"golang.org/x/tools v0.0.0-20200831203904-5a2aa26beb65/go.mod"
	"golang.org/x/tools v0.0.0-20200904185747-39188db58858/go.mod"
	"golang.org/x/tools v0.0.0-20201001104356-43ebab892c4c/go.mod"
	"golang.org/x/tools v0.0.0-20201002184944-ecd9fd270d5d/go.mod"
	"golang.org/x/tools v0.0.0-20201007032633-0806396f153e/go.mod"
	"golang.org/x/tools v0.0.0-20201011145850-ed2f50202694/go.mod"
	"golang.org/x/tools v0.0.0-20201013201025-64a9e34f3752/go.mod"
	"golang.org/x/tools v0.0.0-20201023174141-c8cfbd0f21e6/go.mod"
	"golang.org/x/tools v0.0.0-20201028025901-8cd080b735b3/go.mod"
	"golang.org/x/tools v0.0.0-20201110124207-079ba7bd75cd/go.mod"
	"golang.org/x/tools v0.0.0-20201114224030-61ea331ec02b/go.mod"
	"golang.org/x/tools v0.0.0-20201118003311-bd56c0adb394/go.mod"
	"golang.org/x/tools v0.0.0-20201121010211-780cb80bd7fb/go.mod"
	"golang.org/x/tools v0.0.0-20201124202034-299f270db459/go.mod"
	"golang.org/x/tools v0.0.0-20201201161351-ac6f37ff4c2a/go.mod"
	"golang.org/x/tools v0.0.0-20201208233053-a543418bbed2/go.mod"
	"golang.org/x/tools v0.0.0-20201211185031-d93e913c1a58/go.mod"
	"golang.org/x/tools v0.0.0-20201224043029-2b0845dc783e/go.mod"
	"golang.org/x/tools v0.0.0-20201230224404-63754364767c/go.mod"
	"golang.org/x/tools v0.0.0-20210101214203-2dba1e4ea05c/go.mod"
	"golang.org/x/tools v0.0.0-20210104081019-d8d6ddbec6ee/go.mod"
	"golang.org/x/tools v0.0.0-20210105154028-b0ab187a4818/go.mod"
	"golang.org/x/tools v0.0.0-20210106214847-113979e3529a/go.mod"
	"golang.org/x/tools v0.1.0/go.mod"
	"golang.org/x/tools v0.1.1-0.20210205202024-ef80cdb6ec6d/go.mod"
	"golang.org/x/tools v0.1.1-0.20210302220138-2ac05c832e1a/go.mod"
	"golang.org/x/tools v0.1.1/go.mod"
	"golang.org/x/tools v0.1.2/go.mod"
	"golang.org/x/tools v0.1.3/go.mod"
	"golang.org/x/tools v0.1.4/go.mod"
	"golang.org/x/tools v0.1.5/go.mod"
	"golang.org/x/tools v0.1.6/go.mod"
	"golang.org/x/tools v0.1.7/go.mod"
	"golang.org/x/tools v0.1.8-0.20211102182255-bb4add04ddef/go.mod"
	"golang.org/x/tools v0.1.8"
	"golang.org/x/tools v0.1.8/go.mod"
	"golang.org/x/xerrors v0.0.0-20190717185122-a985d3407aa7/go.mod"
	"golang.org/x/xerrors v0.0.0-20191011141410-1b5146add898/go.mod"
	"golang.org/x/xerrors v0.0.0-20191204190536-9bdfabe68543/go.mod"
	"golang.org/x/xerrors v0.0.0-20200804184101-5ec99f83aff1"
	"golang.org/x/xerrors v0.0.0-20200804184101-5ec99f83aff1/go.mod"
	"golang.zx2c4.com/wintun v0.0.0-20211104114900-415007cec224"
	"golang.zx2c4.com/wintun v0.0.0-20211104114900-415007cec224/go.mod"
	"golang.zx2c4.com/wireguard v0.0.0-20210905140043-2ef39d47540c/go.mod"
	"golang.zx2c4.com/wireguard v0.0.0-20211116201604-de7c702ace45"
	"golang.zx2c4.com/wireguard v0.0.0-20211116201604-de7c702ace45/go.mod"
	"golang.zx2c4.com/wireguard/windows v0.4.10"
	"golang.zx2c4.com/wireguard/windows v0.4.10/go.mod"
	"google.golang.org/api v0.4.0/go.mod"
	"google.golang.org/api v0.7.0/go.mod"
	"google.golang.org/api v0.8.0/go.mod"
	"google.golang.org/api v0.9.0/go.mod"
	"google.golang.org/api v0.10.0/go.mod"
	"google.golang.org/api v0.13.0/go.mod"
	"google.golang.org/api v0.14.0/go.mod"
	"google.golang.org/api v0.15.0/go.mod"
	"google.golang.org/api v0.17.0/go.mod"
	"google.golang.org/api v0.18.0/go.mod"
	"google.golang.org/api v0.19.0/go.mod"
	"google.golang.org/api v0.20.0/go.mod"
	"google.golang.org/api v0.22.0/go.mod"
	"google.golang.org/api v0.24.0/go.mod"
	"google.golang.org/api v0.28.0/go.mod"
	"google.golang.org/api v0.29.0/go.mod"
	"google.golang.org/api v0.30.0/go.mod"
	"google.golang.org/api v0.35.0/go.mod"
	"google.golang.org/api v0.36.0/go.mod"
	"google.golang.org/api v0.40.0/go.mod"
	"google.golang.org/api v0.41.0/go.mod"
	"google.golang.org/api v0.43.0/go.mod"
	"google.golang.org/api v0.44.0/go.mod"
	"google.golang.org/api v0.47.0/go.mod"
	"google.golang.org/api v0.48.0/go.mod"
	"google.golang.org/api v0.50.0/go.mod"
	"google.golang.org/api v0.51.0/go.mod"
	"google.golang.org/api v0.54.0/go.mod"
	"google.golang.org/api v0.56.0/go.mod"
	"google.golang.org/appengine v1.1.0/go.mod"
	"google.golang.org/appengine v1.4.0/go.mod"
	"google.golang.org/appengine v1.5.0/go.mod"
	"google.golang.org/appengine v1.6.1/go.mod"
	"google.golang.org/appengine v1.6.2/go.mod"
	"google.golang.org/appengine v1.6.5/go.mod"
	"google.golang.org/appengine v1.6.6/go.mod"
	"google.golang.org/appengine v1.6.7/go.mod"
	"google.golang.org/genproto v0.0.0-20170818010345-ee236bd376b0/go.mod"
	"google.golang.org/genproto v0.0.0-20180817151627-c66870c02cf8/go.mod"
	"google.golang.org/genproto v0.0.0-20181107211654-5fc9ac540362/go.mod"
	"google.golang.org/genproto v0.0.0-20190307195333-5fe7a883aa19/go.mod"
	"google.golang.org/genproto v0.0.0-20190418145605-e7d98fc518a7/go.mod"
	"google.golang.org/genproto v0.0.0-20190425155659-357c62f0e4bb/go.mod"
	"google.golang.org/genproto v0.0.0-20190502173448-54afdca5d873/go.mod"
	"google.golang.org/genproto v0.0.0-20190801165951-fa694d86fc64/go.mod"
	"google.golang.org/genproto v0.0.0-20190819201941-24fa4b261c55/go.mod"
	"google.golang.org/genproto v0.0.0-20190911173649-1774047e7e51/go.mod"
	"google.golang.org/genproto v0.0.0-20190927181202-20e1ac93f88c/go.mod"
	"google.golang.org/genproto v0.0.0-20191108220845-16a3f7862a1a/go.mod"
	"google.golang.org/genproto v0.0.0-20191115194625-c23dd37a84c9/go.mod"
	"google.golang.org/genproto v0.0.0-20191216164720-4f79533eabd1/go.mod"
	"google.golang.org/genproto v0.0.0-20191230161307-f3c370f40bfb/go.mod"
	"google.golang.org/genproto v0.0.0-20200115191322-ca5a22157cba/go.mod"
	"google.golang.org/genproto v0.0.0-20200122232147-0452cf42e150/go.mod"
	"google.golang.org/genproto v0.0.0-20200204135345-fa8e72b47b90/go.mod"
	"google.golang.org/genproto v0.0.0-20200212174721-66ed5ce911ce/go.mod"
	"google.golang.org/genproto v0.0.0-20200224152610-e50cd9704f63/go.mod"
	"google.golang.org/genproto v0.0.0-20200228133532-8c2c7df3a383/go.mod"
	"google.golang.org/genproto v0.0.0-20200305110556-506484158171/go.mod"
	"google.golang.org/genproto v0.0.0-20200312145019-da6875a35672/go.mod"
	"google.golang.org/genproto v0.0.0-20200331122359-1ee6d9798940/go.mod"
	"google.golang.org/genproto v0.0.0-20200423170343-7949de9c1215/go.mod"
	"google.golang.org/genproto v0.0.0-20200430143042-b979b6f78d84/go.mod"
	"google.golang.org/genproto v0.0.0-20200511104702-f5ebc3bea380/go.mod"
	"google.golang.org/genproto v0.0.0-20200513103714-09dca8ec2884/go.mod"
	"google.golang.org/genproto v0.0.0-20200515170657-fc4c6c6a6587/go.mod"
	"google.golang.org/genproto v0.0.0-20200526211855-cb27e3aa2013/go.mod"
	"google.golang.org/genproto v0.0.0-20200618031413-b414f8b61790/go.mod"
	"google.golang.org/genproto v0.0.0-20200626011028-ee7919e894b5/go.mod"
	"google.golang.org/genproto v0.0.0-20200707001353-8e8330bf89df/go.mod"
	"google.golang.org/genproto v0.0.0-20200729003335-053ba62fc06f/go.mod"
	"google.golang.org/genproto v0.0.0-20200804131852-c06518451d9c/go.mod"
	"google.golang.org/genproto v0.0.0-20200825200019-8632dd797987/go.mod"
	"google.golang.org/genproto v0.0.0-20200904004341-0bd0a958aa1d/go.mod"
	"google.golang.org/genproto v0.0.0-20201109203340-2640f1f9cdfb/go.mod"
	"google.golang.org/genproto v0.0.0-20201201144952-b05cb90ed32e/go.mod"
	"google.golang.org/genproto v0.0.0-20201210142538-e3217bee35cc/go.mod"
	"google.golang.org/genproto v0.0.0-20201214200347-8c77b98c765d/go.mod"
	"google.golang.org/genproto v0.0.0-20210222152913-aa3ee6e6a81c/go.mod"
	"google.golang.org/genproto v0.0.0-20210303154014-9728d6b83eeb/go.mod"
	"google.golang.org/genproto v0.0.0-20210310155132-4ce2db91004e/go.mod"
	"google.golang.org/genproto v0.0.0-20210319143718-93e7006c17a6/go.mod"
	"google.golang.org/genproto v0.0.0-20210402141018-6c239bbf2bb1/go.mod"
	"google.golang.org/genproto v0.0.0-20210513213006-bf773b8c8384/go.mod"
	"google.golang.org/genproto v0.0.0-20210602131652-f16073e35f0c/go.mod"
	"google.golang.org/genproto v0.0.0-20210604141403-392c879c8b08/go.mod"
	"google.golang.org/genproto v0.0.0-20210608205507-b6d2f5bf0d7d/go.mod"
	"google.golang.org/genproto v0.0.0-20210624195500-8bfb893ecb84/go.mod"
	"google.golang.org/genproto v0.0.0-20210713002101-d411969a0d9a/go.mod"
	"google.golang.org/genproto v0.0.0-20210716133855-ce7ef5c701ea/go.mod"
	"google.golang.org/genproto v0.0.0-20210728212813-7823e685a01f/go.mod"
	"google.golang.org/genproto v0.0.0-20210805201207-89edb61ffb67/go.mod"
	"google.golang.org/genproto v0.0.0-20210813162853-db860fec028c/go.mod"
	"google.golang.org/genproto v0.0.0-20210821163610-241b8fcbd6c8/go.mod"
	"google.golang.org/genproto v0.0.0-20210828152312-66f60bf46e71/go.mod"
	"google.golang.org/grpc v1.8.0/go.mod"
	"google.golang.org/grpc v1.19.0/go.mod"
	"google.golang.org/grpc v1.20.1/go.mod"
	"google.golang.org/grpc v1.21.1/go.mod"
	"google.golang.org/grpc v1.23.0/go.mod"
	"google.golang.org/grpc v1.23.1/go.mod"
	"google.golang.org/grpc v1.24.0/go.mod"
	"google.golang.org/grpc v1.25.1/go.mod"
	"google.golang.org/grpc v1.26.0/go.mod"
	"google.golang.org/grpc v1.27.0/go.mod"
	"google.golang.org/grpc v1.27.1/go.mod"
	"google.golang.org/grpc v1.28.0/go.mod"
	"google.golang.org/grpc v1.29.0/go.mod"
	"google.golang.org/grpc v1.29.1/go.mod"
	"google.golang.org/grpc v1.30.0/go.mod"
	"google.golang.org/grpc v1.31.0/go.mod"
	"google.golang.org/grpc v1.31.1/go.mod"
	"google.golang.org/grpc v1.33.1/go.mod"
	"google.golang.org/grpc v1.33.2/go.mod"
	"google.golang.org/grpc v1.34.0/go.mod"
	"google.golang.org/grpc v1.35.0/go.mod"
	"google.golang.org/grpc v1.36.0/go.mod"
	"google.golang.org/grpc v1.36.1/go.mod"
	"google.golang.org/grpc v1.37.0/go.mod"
	"google.golang.org/grpc v1.37.1/go.mod"
	"google.golang.org/grpc v1.38.0/go.mod"
	"google.golang.org/grpc v1.39.0/go.mod"
	"google.golang.org/grpc v1.39.1/go.mod"
	"google.golang.org/grpc v1.40.0/go.mod"
	"google.golang.org/grpc/cmd/protoc-gen-go-grpc v1.1.0/go.mod"
	"google.golang.org/protobuf v0.0.0-20200109180630-ec00e32a8dfd/go.mod"
	"google.golang.org/protobuf v0.0.0-20200221191635-4d8936d0db64/go.mod"
	"google.golang.org/protobuf v0.0.0-20200228230310-ab0ca4ff8a60/go.mod"
	"google.golang.org/protobuf v1.20.1-0.20200309200217-e05f789c0967/go.mod"
	"google.golang.org/protobuf v1.21.0/go.mod"
	"google.golang.org/protobuf v1.22.0/go.mod"
	"google.golang.org/protobuf v1.23.0/go.mod"
	"google.golang.org/protobuf v1.23.1-0.20200526195155-81db48ad09cc/go.mod"
	"google.golang.org/protobuf v1.24.0/go.mod"
	"google.golang.org/protobuf v1.25.0/go.mod"
	"google.golang.org/protobuf v1.26.0-rc.1/go.mod"
	"google.golang.org/protobuf v1.26.0/go.mod"
	"google.golang.org/protobuf v1.27.1"
	"google.golang.org/protobuf v1.27.1/go.mod"
	"gopkg.in/alecthomas/kingpin.v2 v2.2.6/go.mod"
	"gopkg.in/check.v1 v0.0.0-20161208181325-20d25e280405/go.mod"
	"gopkg.in/check.v1 v1.0.0-20180628173108-788fd7840127/go.mod"
	"gopkg.in/check.v1 v1.0.0-20190902080502-41f04d3bba15/go.mod"
	"gopkg.in/check.v1 v1.0.0-20200227125254-8fa46927fb4f/go.mod"
	"gopkg.in/check.v1 v1.0.0-20201130134442-10cb98267c6c"
	"gopkg.in/check.v1 v1.0.0-20201130134442-10cb98267c6c/go.mod"
	"gopkg.in/cheggaaa/pb.v1 v1.0.25/go.mod"
	"gopkg.in/cheggaaa/pb.v1 v1.0.28/go.mod"
	"gopkg.in/errgo.v2 v2.1.0/go.mod"
	"gopkg.in/fsnotify.v1 v1.4.7/go.mod"
	"gopkg.in/gcfg.v1 v1.2.3/go.mod"
	"gopkg.in/ini.v1 v1.51.0/go.mod"
	"gopkg.in/ini.v1 v1.62.0/go.mod"
	"gopkg.in/ini.v1 v1.63.2/go.mod"
	"gopkg.in/ini.v1 v1.66.2"
	"gopkg.in/ini.v1 v1.66.2/go.mod"
	"gopkg.in/resty.v1 v1.12.0/go.mod"
	"gopkg.in/tomb.v1 v1.0.0-20141024135613-dd632973f1e7"
	"gopkg.in/tomb.v1 v1.0.0-20141024135613-dd632973f1e7/go.mod"
	"gopkg.in/warnings.v0 v0.1.2"
	"gopkg.in/warnings.v0 v0.1.2/go.mod"
	"gopkg.in/yaml.v1 v1.0.0-20140924161607-9f9df34309c0/go.mod"
	"gopkg.in/yaml.v2 v2.0.0-20170812160011-eb3733d160e7/go.mod"
	"gopkg.in/yaml.v2 v2.2.1/go.mod"
	"gopkg.in/yaml.v2 v2.2.2/go.mod"
	"gopkg.in/yaml.v2 v2.2.3/go.mod"
	"gopkg.in/yaml.v2 v2.2.4/go.mod"
	"gopkg.in/yaml.v2 v2.2.5/go.mod"
	"gopkg.in/yaml.v2 v2.2.6/go.mod"
	"gopkg.in/yaml.v2 v2.2.8/go.mod"
	"gopkg.in/yaml.v2 v2.3.0/go.mod"
	"gopkg.in/yaml.v2 v2.4.0"
	"gopkg.in/yaml.v2 v2.4.0/go.mod"
	"gopkg.in/yaml.v3 v3.0.0-20200313102051-9f266ea9e77c/go.mod"
	"gopkg.in/yaml.v3 v3.0.0-20200615113413-eeeca48fe776/go.mod"
	"gopkg.in/yaml.v3 v3.0.0-20210107192922-496545a6307b"
	"gopkg.in/yaml.v3 v3.0.0-20210107192922-496545a6307b/go.mod"
	"honnef.co/go/tools v0.0.0-20190102054323-c2f93a96b099/go.mod"
	"honnef.co/go/tools v0.0.0-20190106161140-3f1c8253044a/go.mod"
	"honnef.co/go/tools v0.0.0-20190418001031-e561f6794a2a/go.mod"
	"honnef.co/go/tools v0.0.0-20190523083050-ea95bdfd59fc/go.mod"
	"honnef.co/go/tools v0.0.1-2019.2.3/go.mod"
	"honnef.co/go/tools v0.0.1-2020.1.3/go.mod"
	"honnef.co/go/tools v0.0.1-2020.1.4/go.mod"
	"honnef.co/go/tools v0.0.1-2020.1.6/go.mod"
	"honnef.co/go/tools v0.2.1/go.mod"
	"honnef.co/go/tools v0.2.2"
	"honnef.co/go/tools v0.2.2/go.mod"
	"howett.net/plist v0.0.0-20181124034731-591f970eefbb/go.mod"
	"howett.net/plist v1.0.0"
	"howett.net/plist v1.0.0/go.mod"
	"inet.af/netaddr v0.0.0-20210515010201-ad03edc7c841/go.mod"
	"inet.af/netaddr v0.0.0-20211027220019-c74959edd3b6"
	"inet.af/netaddr v0.0.0-20211027220019-c74959edd3b6/go.mod"
	"inet.af/netstack v0.0.0-20211120045802-8aa80cf23d3c"
	"inet.af/netstack v0.0.0-20211120045802-8aa80cf23d3c/go.mod"
	"inet.af/peercred v0.0.0-20210906144145-0893ea02156a"
	"inet.af/peercred v0.0.0-20210906144145-0893ea02156a/go.mod"
	"inet.af/wf v0.0.0-20211204062712-86aaea0a7310"
	"inet.af/wf v0.0.0-20211204062712-86aaea0a7310/go.mod"
	"mvdan.cc/gofumpt v0.0.0-20200802201014-ab5a8192947d/go.mod"
	"mvdan.cc/gofumpt v0.0.0-20201129102820-5c11c50e9475/go.mod"
	"mvdan.cc/gofumpt v0.1.1/go.mod"
	"mvdan.cc/gofumpt v0.2.0"
	"mvdan.cc/gofumpt v0.2.0/go.mod"
	"mvdan.cc/interfacer v0.0.0-20180901003855-c20040233aed"
	"mvdan.cc/interfacer v0.0.0-20180901003855-c20040233aed/go.mod"
	"mvdan.cc/lint v0.0.0-20170908181259-adc824a0674b"
	"mvdan.cc/lint v0.0.0-20170908181259-adc824a0674b/go.mod"
	"mvdan.cc/unparam v0.0.0-20200501210554-b37ab49443f7/go.mod"
	"mvdan.cc/unparam v0.0.0-20210104141923-aac4ce9116a7/go.mod"
	"mvdan.cc/unparam v0.0.0-20211002134041-24922b6997ca"
	"mvdan.cc/unparam v0.0.0-20211002134041-24922b6997ca/go.mod"
	"nhooyr.io/websocket v1.8.7"
	"nhooyr.io/websocket v1.8.7/go.mod"
	"rsc.io/binaryregexp v0.2.0/go.mod"
	"rsc.io/quote/v3 v3.1.0/go.mod"
	"rsc.io/sampler v1.3.0/go.mod"
	"sigs.k8s.io/yaml v1.1.0/go.mod"
	"software.sslmate.com/src/go-pkcs12 v0.0.0-20180114231543-2291e8f0f237/go.mod"
	"software.sslmate.com/src/go-pkcs12 v0.0.0-20210415151418-c5206de65a78"
	"software.sslmate.com/src/go-pkcs12 v0.0.0-20210415151418-c5206de65a78/go.mod"
)
go-module_set_globals

SRC_URI="https://github.com/tailscale/tailscale/archive/v${PV}.tar.gz -> ${P}.tar.gz
	${EGO_SUM_SRC_URI}"

LICENSE="MIT"
SLOT="0"
KEYWORDS="~amd64 ~arm ~arm64 ~x86"

RDEPEND="net-firewall/iptables"

# This translates the build command from upstream's build_dist.sh to an
# ebuild equivalent.
build_dist() {
	go build -tags xversion -ldflags "
		-X tailscale.com/version.Long=${VERSION_LONG}
		-X tailscale.com/version.Short=${VERSION_SHORT}
		-X tailscale.com/version.GitCommit=${VERSION_GIT_HASH}" "$@"
}

src_compile() {
	build_dist ./cmd/tailscale || die
	build_dist ./cmd/tailscaled || die
}

src_install() {
	dosbin tailscaled
	dobin tailscale

	systemd_dounit cmd/tailscaled/tailscaled.service
	insinto /etc/default
	newins cmd/tailscaled/tailscaled.defaults tailscaled
	keepdir /var/lib/${PN}
	fperms 0750 /var/lib/${PN}

	newtmpfiles "${FILESDIR}/${PN}.tmpfiles" ${PN}.conf

	newinitd "${FILESDIR}/${PN}d.initd" ${PN}
	newconfd "${FILESDIR}/${PN}d.confd" ${PN}
}

pkg_postinst() {
	tmpfiles_process ${PN}.conf
}
